GNU bug report logs - #63641
[PATCH 0/8] Add libc specific to Hurd and update components

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Josselin Poiret <dev@HIDDEN>; Keywords: patch moreinfo; merged with #51770; dated Mon, 22 May 2023 09:01:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 51770 63641. Request was from Joshua Branson <jbranso@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 24 May 2023 09:02:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 05:02:43 2023
Received: from localhost ([127.0.0.1]:41487 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1kOJ-0002re-0i
	for submit <at> debbugs.gnu.org; Wed, 24 May 2023 05:02:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1q1kOH-0002rS-Mz
 for 63641 <at> debbugs.gnu.org; Wed, 24 May 2023 05:02:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1q1kOB-0006Pu-MS; Wed, 24 May 2023 05:02:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=/t2QlsSgciXZKT+9KmAyqUVRWfT0na5ZJrDmJz0/ciI=; b=X9tMuFjC8pgv6Bcy4M2O
 f4XfG7Bcf2eKXTsdH39B7t5RBPxoEVW6ZV2Swr6PUYO4bGxlK6TI0kCw5iWnjjOAp439OdQpZRhv7
 wGjDz+hle7969/6kKL5IHjpF9SsCO2B8HVKH97KCnyxLHa/pxh0nwaO6JMkmABcmHfCbaJ5RdS86d
 xoN1TzsqnhaZNEcDJitRkaNFz6LJRIl42yAHoEc4UJfKK8VwHI+WlTXED5MU8sixa3uFymkazjTeW
 1FrorJ4/bRNjOLlLwM8KN+bzUZQ/BJI7naXD8VEmTG/g6UYe1T3WiScfOP8G9ZGKFDDMTZWhvveQP
 tRTqj2vJ3qMoxA==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201] helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1q1kNx-0000HZ-Ar; Wed, 24 May 2023 05:02:35 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: bug#63641: [PATCH 0/8] Add libc specific to Hurd and update
 components
References: <cover.1684745752.git.dev@HIDDEN> <87ilcj44z7.fsf@HIDDEN>
Date: Wed, 24 May 2023 11:02:18 +0200
In-Reply-To: <87ilcj44z7.fsf@HIDDEN> (Janneke Nieuwenhuizen's message of
 "Tue, 23 May 2023 14:17:16 +0200")
Message-ID: <87jzwyqezp.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 63641
Cc: Janneke Nieuwenhuizen <janneke@HIDDEN>, 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

This looks great to me as well!  The suggestions I made in this thread
are purely cosmetic, mostly so our future selves know why things are
done this way.  I agree with the suggestions Janneke made, too.

So OK for me with changes along the lines of those suggestions!

Thank you!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 24 May 2023 08:57:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 04:57:35 2023
Received: from localhost ([127.0.0.1]:41465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1kJL-0000EG-4w
	for submit <at> debbugs.gnu.org; Wed, 24 May 2023 04:57:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59412)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1q1kJI-0000E3-Jf
 for 63641 <at> debbugs.gnu.org; Wed, 24 May 2023 04:57:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1q1kJC-0005AA-RF; Wed, 24 May 2023 04:57:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=OA4ON2L+baYc1nakdLnPe/kXQuNBjbH6eL5sJXfU/RM=; b=nAI4V4rPOf5PCGjmkdCL
 deJ8Le5vZyxcDFHokCptjT/iwkHnbEsiJ/DhXCgCNNJv25IXCxLg/5rld0BCQESu0n46yhaLeaV8J
 sqrQNgNR58W5agJxHybtMstkgwGqu9yYfI5in3Rs5eij0qS7JtVZdpTUPKschcEzcioRsSIGAZmyT
 PVfM2utZN39EXjGN/5ORc3CIccxM8QWvbYHwkUNX6IcNpNT299HXbE5x8v/oIkLPcy3psJKNz7X8d
 bBjD3zB5RX83RC49TJp6m3J8L2kZmLwkvCkylENbbG8tbzzJ7dIs9YJbmmQcdFHrebUIJhqAJGUBs
 er6nupDvDIH7vQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201] helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1q1kJA-0006DL-J0; Wed, 24 May 2023 04:57:25 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: bug#63641: [PATCH 0/8] Add libc specific to Hurd and update
 components
References: <87jzx07lmr.fsf@HIDDEN>
 <37e9697f42aecfb83757989f8172beba8faf32ab.1684748476.git.dev@HIDDEN>
Date: Wed, 24 May 2023 10:57:22 +0200
In-Reply-To: <37e9697f42aecfb83757989f8172beba8faf32ab.1684748476.git.dev@HIDDEN>
 (Josselin Poiret's message of "Mon, 22 May 2023 11:42:26 +0200")
Message-ID: <87wn0yqf7x.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 63641
Cc: 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Josselin Poiret <dev@HIDDEN> skribis:

> From: Josselin Poiret <dev@HIDDEN>
>
> * gnu/packages/patches/glibc-2.37-hurd-clock_t_centiseconds.patch
> * gnu/packages/patches/glibc-2.37-hurd-local-clock_gettime_MONOTONIC.patch
> * gnu/packages/patches/glibc-2.37-ldd-x86_64.patch
> * gnu/packages/patches/glibc-2.37-versioned-locpath.patch: New patches.
> * gnu/local.mk (dist_patch_DATA): Register them.
>
> * gnu/packages/base.scm (glibc/hurd, libc-for-target): New variables.
> (glibc/hurd-headers): Use glibc/hurd.
> * gnu/packages/commencement.scm (glibc-final-with-bootstrap-bash,
> glibc-final): Use libc-for-target.
> * gnu/packages/cross-base.scm (cross-libc/deprecated, cross-libc*): Use
> libc-for-target.

[...]

> +(define-public glibc/hurd
> +  (package/inherit glibc
> +    (name "glibc-hurd")
> +    (version "2.37")

Could you add a comment stating why we=E2=80=99re using this version so we =
know
when to unify the two libcs again?

> +(define* (libc-for-target #:optional
> +                          (target (or (%current-target-system)
> +                                      (%current-system))))
> +  (match target
> +    ((? target-hurd?)
> +     glibc/hurd)
> +    (_
> +     glibc)))

Removed in 2d546858b139e5fcf2cbdf9958a17fd98803ac4c (when we unified the
two glibc packages) was also this macro:

  (define-syntax glibc
    (identifier-syntax (glibc-for-target)))

Maybe we can live without it though.

> +++ b/gnu/packages/patches/glibc-2.37-hurd-clock_t_centiseconds.patch
> @@ -0,0 +1,59 @@
> +Some applications assume centisecond precision, or at most millisecond p=
recision
> +(e.g. guile).  This is a work-around for them.

[...]

> +++ b/gnu/packages/patches/glibc-2.37-hurd-local-clock_gettime_MONOTONIC.=
patch
> @@ -0,0 +1,133 @@
> +Use the realtime clock for the monotonic clock. This is of course not a =
proper
> +implementation (which is being done in Mach), but will permit to fix at =
least
> +the iceweasel stack.
> +
> +vlc however doesn't build when _POSIX_CLOCK_SELECTION is enabled but
> +_POSIX_TIMERS is not, and they refuse to fix that (see #765578), so disa=
ble the
> +former.

These are from Debian, right?  Are they submitted upstream?

Would be nice to have it mentioned in the comment (the build farms will
soon rebuild for you :-)).

> +++ b/gnu/packages/patches/glibc-2.37-versioned-locpath.patch
> @@ -0,0 +1,247 @@
> +From d73ba2caa10b8e9f51ff4239cc32eeb4e0de4279 Mon Sep 17 00:00:00 2001
> +Message-Id: <d73ba2caa10b8e9f51ff4239cc32eeb4e0de4279.1683980025.git.dev=
@jpoiret.xyz>
> +From: Josselin Poiret <dev@HIDDEN>
> +Date: Sat, 13 May 2023 14:10:43 +0200
> +Subject: [PATCH] Add versioned locpath
> +
> +From: Josselin Poiret <dev@HIDDEN>

Could you preserve the header that=E2=80=99s at the top of
=E2=80=98glibc-versioned-locpath.patch=E2=80=99?

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 24 May 2023 08:48:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 04:48:23 2023
Received: from localhost ([127.0.0.1]:41447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1kAQ-0008G4-OK
	for submit <at> debbugs.gnu.org; Wed, 24 May 2023 04:48:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1q1kAO-0008FK-O5
 for 63641 <at> debbugs.gnu.org; Wed, 24 May 2023 04:48:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1q1kAJ-0002UA-Am; Wed, 24 May 2023 04:48:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=eUcZo+Kb4Vd05AMT/rMICNKuoRxKQufHM0imI4jALqk=; b=gsjcGElHWlf36giVKs3v
 pt2ryIK+0eSqVrqfnbOFxlK7PQgNeQPGUaL6YIu36LD4WYg5K5bu9qCf0Tb0OWOfBfiM5olbnEnJ6
 356/V/t2wJaeYPo9YQzvIGnb6mqigAkRd6orVZ7yKZ9rJm9Lu6BXMON4B37usJnuOiPplL1dk6N9F
 QQseSVf34pQK2OeutF4PAF/c9dkcwtRA8Ug2KRmo3lY67re5nRBxMTnDfO0L/GVvMdovcyQ2cTgJx
 vQlRQPsdp0vl8XlGPtIdSx692PuGQbTjAcbPYetxT6XuHY0plsTSo8W8grLyk/ju5WLGIsGaEGwI2
 5ngPUT45SUw+Uw==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201] helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1q1kAI-0002lp-Ty; Wed, 24 May 2023 04:48:15 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: bug#63641: [PATCH 0/8] Add libc specific to Hurd and update
 components
References: <cover.1684745752.git.dev@HIDDEN>
 <fcb36b13b0b5be42c07d477871ff604c1dc5178e.1684745752.git.dev@HIDDEN>
Date: Wed, 24 May 2023 10:48:11 +0200
In-Reply-To: <fcb36b13b0b5be42c07d477871ff604c1dc5178e.1684745752.git.dev@HIDDEN>
 (Josselin Poiret's message of "Mon, 22 May 2023 11:04:18 +0200")
Message-ID: <877csyru7o.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 63641
Cc: 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Josselin Poiret <dev@HIDDEN> skribis:

> From: Josselin Poiret <dev@HIDDEN>
>
> * gnu/packages/hurd.scm (hurd-headers): Update to v0.9.git20230216.

[...]

> +++ b/gnu/packages/hurd.scm
> @@ -144,10 +144,10 @@ (define-public hurd-headers
>    ;; This commit is now slightly behind 0.9.git20220818 as this one need=
s a
>    ;; newer glibc
>    (let ((revision "2")
> -        (commit "3ff70531ee672f431dbb0c11f286bfe85dce98fc"))
> +        (commit "v0.9.git20230216"))

Could you update or remove the comment above?

Also I wonder if we should use the actual commit ID rather than this
tag, since the tag doesn=E2=80=99t even denote a release.

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 24 May 2023 08:12:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 04:12:40 2023
Received: from localhost ([127.0.0.1]:41110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1jbs-0007Bn-5G
	for submit <at> debbugs.gnu.org; Wed, 24 May 2023 04:12:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1q1jbq-0007Ba-HG
 for 63641 <at> debbugs.gnu.org; Wed, 24 May 2023 04:12:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1jbl-000372-Ax; Wed, 24 May 2023 04:12:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=fbQYYVrjaYzSL94thlkGqznQ0SnVyX6RE+/su7RsZT8=; b=lrpDgC19Ctv4DRxA9REU
 n2B9aHULdYZYX1mIMP+AZFLuHvDuKCSqQnj2biiYRar2eOzPJXTiaIF7Sc7syQ8KMZN2Q0/FQgHfH
 lMzfKQMhK+IbHAPwaK82UDsVzPGNhffYX5rIv8E1+dbjhHbDOOOOwTzXff8xjZ4Zbnx4szWARJZuI
 KslnCwaREtcad1OeJC2TmwTczPEagFhOPEyBlTpt/PK9/HhIQmDlE0YhZVHeeP1H4tc/1O4MwvxhZ
 MAprQrsC54er7xEiHeUG5EIqnCdo+InOzP1MQ9+9/cttWyUrQVBMESZNgAUqbCrBl8xkk4XPdXOPe
 KgcXJMLzfv3oYA==;
Received: from 2a02-a462-da03-1-2701-7f81-a736-4607.fixed6.kpn.net
 ([2a02:a462:da03:1:2701:7f81:a736:4607] helo=drakenpad.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1jbh-0001gd-Fr; Wed, 24 May 2023 04:12:32 -0400
From: Janneke Nieuwenhuizen <janneke@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: [bug#63641] [PATCH 6/8] gnu: gnumach: Update to 1.8+git20221224.
Organization: AvatarAcademy.nl
References: <cover.1684745752.git.dev@HIDDEN>
 <be3e74c59461e6f71a5d41c36190c696181b23af.1684745752.git.dev@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Wed, 24 May 2023 10:12:28 +0200
In-Reply-To: <be3e74c59461e6f71a5d41c36190c696181b23af.1684745752.git.dev@HIDDEN>
 (Josselin Poiret via Guix-patches via's message of "Mon, 22 May 2023
 11:04:16 +0200")
Message-ID: <87wn0yywpf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 63641
Cc: 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Josselin Poiret via Guix-patches via writes:

> From: Josselin Poiret <dev@HIDDEN>
>
> * gnu/packages/hurd.scm (gnumach-headers): Update to 1.8+git20221224.
> ---
>  gnu/packages/hurd.scm | 5 ++---
>  1 file changed, 2 insertions(+), 3 deletions(-)

LGTM!

--=20
Janneke Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar=C2=AE https://AvatarAcade=
my.com




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 24 May 2023 08:12:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 04:12:01 2023
Received: from localhost ([127.0.0.1]:41103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1jbE-0007AG-Ow
	for submit <at> debbugs.gnu.org; Wed, 24 May 2023 04:12:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50656)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1q1jbC-0007A3-P8
 for 63641 <at> debbugs.gnu.org; Wed, 24 May 2023 04:11:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1jb7-0002x1-Ic; Wed, 24 May 2023 04:11:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=s+sIDOVit/5kXqqv1YDnWQteM3XQZ9w1migu4jPUzhY=; b=r3JUV981dpoPKITkCppa
 ydfYP/Exw6Z7qSLl+Py5RJc3SlXvf9t2tjh3y6gJlPDzs+8i/nnSRIyUEft9Plj/N1XD7xvRXNPYe
 VQTgSOxoZ9iPMyhyoN57fSZkcZGm7NFx3Bdrh8Kp6NMe8u7YdvEYGzLB93LtnE8BIfm6yryGrmecG
 orymCmnE+vhYvscTkNRso7CvzxPadktqLN/HJ+5pnyOtJHEIwKDs/MmD6ib5z84wqsMBJJqHBk/Ex
 4ZXr4bxNde/BX20I+40IxvT7lyFZL5T08/oL00Qo6y6/Doh2MnUP9Pum3G6DSpp88TnmMvH5O9JOs
 aulyn7zturLtHg==;
Received: from 2a02-a462-da03-1-2701-7f81-a736-4607.fixed6.kpn.net
 ([2a02:a462:da03:1:2701:7f81:a736:4607] helo=drakenpad.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1jb7-0001XS-5a; Wed, 24 May 2023 04:11:53 -0400
From: Janneke Nieuwenhuizen <janneke@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: [bug#63641] [PATCH 4/8] gnu: hurd: Update supported systems.
Organization: AvatarAcademy.nl
References: <cover.1684745752.git.dev@HIDDEN>
 <8387fe7ff108e8d9593666a9b0c921c3854112bb.1684745752.git.dev@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Wed, 24 May 2023 10:11:51 +0200
In-Reply-To: <8387fe7ff108e8d9593666a9b0c921c3854112bb.1684745752.git.dev@HIDDEN>
 (Josselin Poiret via Guix-patches via's message of "Mon, 22 May 2023
 11:04:14 +0200")
Message-ID: <871qj6173s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 63641
Cc: 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Josselin Poiret via Guix-patches via writes:

> From: Josselin Poiret <dev@HIDDEN>
>
> * gnu/packages/hurd.scm (gnumach-headers, hurd-headers, hurd-minimal,
> hurd-core-headers, gnumach): Update supported systems to %hurd-systems.

LGTM!

--=20
Janneke Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar=C2=AE https://AvatarAcade=
my.com




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 24 May 2023 08:11:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 24 04:11:17 2023
Received: from localhost ([127.0.0.1]:41096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1jaW-000795-Up
	for submit <at> debbugs.gnu.org; Wed, 24 May 2023 04:11:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1q1jaU-00078o-1t
 for 63641 <at> debbugs.gnu.org; Wed, 24 May 2023 04:11:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1jaN-0002lA-MJ; Wed, 24 May 2023 04:11:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=DkQRNH9oryftSAywvw2YZUeqKFFxqKB3wrV9FEy3bHo=; b=aa1o5P5TaBBa/4e9kuHl
 kwO/h6Ju0sxAAHAQBIdOOAXm0hyhon4bdifgYt36IaTyevAQO2jEVxvZmpIwtMqUt/lPINPxN3Hyz
 gnwMiejo9euv4jVbJ+29Z1jb8tqE6/eZ/scsNn61UlXOmANDIUkHFKTZGhCxVNd+pIudnV4+eSDn0
 SzYVvsPztwRt3PHNDd6WM8P3D1qKooO4zJj3OOgh/WNsyoz5FlghrB0I8Tf2s3IeZpHZmJOpmFTY4
 RuWKVSimzspmmB6duby5QsLHThRrB3DhCnGPTuNG7W+iz/JNtzDEnsOsqpq+2YL2BsDo6cQqLZsrT
 3z7Gpy8l1Rz6Qg==;
Received: from 2a02-a462-da03-1-2701-7f81-a736-4607.fixed6.kpn.net
 ([2a02:a462:da03:1:2701:7f81:a736:4607] helo=drakenpad.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1jaN-0001R6-8s; Wed, 24 May 2023 04:11:07 -0400
From: Janneke Nieuwenhuizen <janneke@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: [bug#63641] [PATCH v2 5/8] gnu: Add libc-for-target and
 glibc/hurd.
Organization: AvatarAcademy.nl
References: <87jzx07lmr.fsf@HIDDEN>
 <37e9697f42aecfb83757989f8172beba8faf32ab.1684748476.git.dev@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Wed, 24 May 2023 10:11:01 +0200
In-Reply-To: <37e9697f42aecfb83757989f8172beba8faf32ab.1684748476.git.dev@HIDDEN>
 (Josselin Poiret via Guix-patches via's message of "Mon, 22 May 2023
 11:42:26 +0200")
Message-ID: <875y8i1756.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 63641
Cc: 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Josselin Poiret via Guix-patches via writes:

Hi!

> From: Josselin Poiret <dev@HIDDEN>
>
> * gnu/packages/patches/glibc-2.37-hurd-clock_t_centiseconds.patch
> * gnu/packages/patches/glibc-2.37-hurd-local-clock_gettime_MONOTONIC.patch
> * gnu/packages/patches/glibc-2.37-ldd-x86_64.patch
> * gnu/packages/patches/glibc-2.37-versioned-locpath.patch: New patches.
> * gnu/local.mk (dist_patch_DATA): Register them.
>
> * gnu/packages/base.scm (glibc/hurd, libc-for-target): New variables.
> (glibc/hurd-headers): Use glibc/hurd.
> * gnu/packages/commencement.scm (glibc-final-with-bootstrap-bash,
> glibc-final): Use libc-for-target.
> * gnu/packages/cross-base.scm (cross-libc/deprecated, cross-libc*): Use
> libc-for-target.

Very nice!

[..]

> diff --git a/gnu/packages/patches/glibc-2.37-hurd-local-clock_gettime_MON=
OTONIC.patch b/gnu/packages/patches/glibc-2.37-hurd-local-clock_gettime_MON=
OTONIC.patch
> new file mode 100644
> index 0000000000..3207a94550
> --- /dev/null
> +++ b/gnu/packages/patches/glibc-2.37-hurd-local-clock_gettime_MONOTONIC.=
patch
> @@ -0,0 +1,133 @@
> +Use the realtime clock for the monotonic clock. This is of course not a =
proper
> +implementation (which is being done in Mach), but will permit to fix at =
least
> +the iceweasel stack.
> +
> +vlc however doesn't build when _POSIX_CLOCK_SELECTION is enabled but
> +_POSIX_TIMERS is not, and they refuse to fix that (see #765578), so disa=
ble the
> +former.

Maybe add a note about upstream status/url for this patch (taken from
upstream, I guess).

> diff --git a/gnu/packages/patches/glibc-2.37-ldd-x86_64.patch b/gnu/packa=
ges/patches/glibc-2.37-ldd-x86_64.patch
> new file mode 100644
> index 0000000000..078cb38bd0
> --- /dev/null
> +++ b/gnu/packages/patches/glibc-2.37-ldd-x86_64.patch
> @@ -0,0 +1,8 @@
> +By default, 'RTDLLIST' in 'ldd' refers to 'lib64/ld-linux-x86-64.so', wh=
ereas
> +it's in 'lib/' for us.  This patch fixes that.

Maybe add something like: "Upstream status: Not presented upstream"?

> diff --git a/gnu/packages/patches/glibc-2.37-versioned-locpath.patch b/gn=
u/packages/patches/glibc-2.37-versioned-locpath.patch
> new file mode 100644
> index 0000000000..1964be4b4b
> --- /dev/null
> +++ b/gnu/packages/patches/glibc-2.37-versioned-locpath.patch
> @@ -0,0 +1,247 @@
> +From d73ba2caa10b8e9f51ff4239cc32eeb4e0de4279 Mon Sep 17 00:00:00 2001
> +Message-Id: <d73ba2caa10b8e9f51ff4239cc32eeb4e0de4279.1683980025.git.dev=
@jpoiret.xyz>
> +From: Josselin Poiret <dev@HIDDEN>
> +Date: Sat, 13 May 2023 14:10:43 +0200
> +Subject: [PATCH] Add versioned locpath

Likewise, please add a note about upstream status of this patch.

Otherwise, L--more-than--GTM, awesome!  Plus, this most probably fixed
my rumpdisk!

Greetings,
Janneke

--=20
Janneke Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar=C2=AE https://AvatarAcade=
my.com




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 23 May 2023 21:32:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 23 17:32:46 2023
Received: from localhost ([127.0.0.1]:40549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1ZcS-0003Qy-3W
	for submit <at> debbugs.gnu.org; Tue, 23 May 2023 17:32:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1q1ZcQ-0003QW-5A
 for 63641 <at> debbugs.gnu.org; Tue, 23 May 2023 17:32:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1ZcK-0003Mp-TT; Tue, 23 May 2023 17:32:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=7o4sIg34gvkMzr7EoB2SJUUNmsVdYlkPgJAUGMRyux4=; b=SnksLDYAW61IJYex4TMV
 +Pf7giDfIxOs2VZ0umr4bmizYeRDf+qEeZSaRCF6gs9pLKB6Fi9Ar0t8gVYdqP8Eecqg0JkDnU+tR
 3WYaf8b5h+rDEKJaKjKAoI8BL30H2e92W4N349BAIIlRc3OhsUhpwdmBuu0QKKMvvfKu3EdvQC8s+
 uDk5AvtjqLSzY8BzlLfJG3heqaDTpWNWE6JNZWxP9AhO3He9rDZ7cCKT1DlkvoCgFLI+nlvLpgcIP
 rq+Qo0FAi+nTJ8b/uns4xooqqc2Dihs8/fifFmZnPV57yRsLV7dFpAgziC2KtbYx74B91jRetWW9+
 GYdH0LPqiiQbbw==;
Received: from 2a02-a462-da03-1-2701-7f81-a736-4607.fixed6.kpn.net
 ([2a02:a462:da03:1:2701:7f81:a736:4607] helo=drakenpad.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1ZcJ-0003bn-Fm; Tue, 23 May 2023 17:32:27 -0400
From: Janneke Nieuwenhuizen <janneke@HIDDEN>
To: Josselin Poiret via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#63641] [PATCH 3/8] gnu: gnumach-headers: Cross-build
 without relying on x86.
Organization: AvatarAcademy.nl
References: <cover.1684745752.git.dev@HIDDEN>
 <9ce52afdf9e69355ba0011bbaba3bbeefab3fb11.1684745752.git.dev@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Tue, 23 May 2023 23:32:24 +0200
In-Reply-To: <9ce52afdf9e69355ba0011bbaba3bbeefab3fb11.1684745752.git.dev@HIDDEN>
 (Josselin Poiret via Guix-patches via's message of "Mon, 22 May 2023
 11:04:13 +0200")
Message-ID: <87sfbm20pj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 63641
Cc: Josselin Poiret <dev@HIDDEN>, 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Josselin Poiret via Guix-patches via writes:

Hi!

> From: Josselin Poiret <dev@HIDDEN>
>
> * gnu/packages/hurd.scm (gnumach-headers): Remove configure flags where we
> say the builder is running x86.
> * gnu/packages/cross-base.scm (cross-gnumach-headers): Work around limita=
tion
> of build system, by manually changing the target host_cpu without relying=
 on
> --host, because we don't have a working cross-compiler yet.

[..]

Please add your copyright to both files, otherwise LGTM!

--=20
Janneke Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar=C2=AE https://AvatarAcade=
my.com




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 May 2023 21:32:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 23 17:32:31 2023
Received: from localhost ([127.0.0.1]:40545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1ZcM-0003Qf-Nx
	for submit <at> debbugs.gnu.org; Tue, 23 May 2023 17:32:31 -0400
Received: from lists.gnu.org ([209.51.188.17]:36790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1q1ZcL-0003QX-D8
 for submit <at> debbugs.gnu.org; Tue, 23 May 2023 17:32:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>) id 1q1ZcL-0005kt-6g
 for guix-patches@HIDDEN; Tue, 23 May 2023 17:32:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1ZcK-0003Mp-TT; Tue, 23 May 2023 17:32:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=7o4sIg34gvkMzr7EoB2SJUUNmsVdYlkPgJAUGMRyux4=; b=SnksLDYAW61IJYex4TMV
 +Pf7giDfIxOs2VZ0umr4bmizYeRDf+qEeZSaRCF6gs9pLKB6Fi9Ar0t8gVYdqP8Eecqg0JkDnU+tR
 3WYaf8b5h+rDEKJaKjKAoI8BL30H2e92W4N349BAIIlRc3OhsUhpwdmBuu0QKKMvvfKu3EdvQC8s+
 uDk5AvtjqLSzY8BzlLfJG3heqaDTpWNWE6JNZWxP9AhO3He9rDZ7cCKT1DlkvoCgFLI+nlvLpgcIP
 rq+Qo0FAi+nTJ8b/uns4xooqqc2Dihs8/fifFmZnPV57yRsLV7dFpAgziC2KtbYx74B91jRetWW9+
 GYdH0LPqiiQbbw==;
Received: from 2a02-a462-da03-1-2701-7f81-a736-4607.fixed6.kpn.net
 ([2a02:a462:da03:1:2701:7f81:a736:4607] helo=drakenpad.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1ZcJ-0003bn-Fm; Tue, 23 May 2023 17:32:27 -0400
From: Janneke Nieuwenhuizen <janneke@HIDDEN>
To: Josselin Poiret via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#63641] [PATCH 3/8] gnu: gnumach-headers: Cross-build
 without relying on x86.
Organization: AvatarAcademy.nl
References: <cover.1684745752.git.dev@HIDDEN>
 <9ce52afdf9e69355ba0011bbaba3bbeefab3fb11.1684745752.git.dev@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Tue, 23 May 2023 23:32:24 +0200
In-Reply-To: <9ce52afdf9e69355ba0011bbaba3bbeefab3fb11.1684745752.git.dev@HIDDEN>
 (Josselin Poiret via Guix-patches via's message of "Mon, 22 May 2023
 11:04:13 +0200")
Message-ID: <87sfbm20pj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: Josselin Poiret <dev@HIDDEN>, 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Josselin Poiret via Guix-patches via writes:

Hi!

> From: Josselin Poiret <dev@HIDDEN>
>
> * gnu/packages/hurd.scm (gnumach-headers): Remove configure flags where we
> say the builder is running x86.
> * gnu/packages/cross-base.scm (cross-gnumach-headers): Work around limita=
tion
> of build system, by manually changing the target host_cpu without relying=
 on
> --host, because we don't have a working cross-compiler yet.

[..]

Please add your copyright to both files, otherwise LGTM!

--=20
Janneke Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar=C2=AE https://AvatarAcade=
my.com




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 23 May 2023 21:28:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 23 17:28:34 2023
Received: from localhost ([127.0.0.1]:40537 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1ZYX-0003IY-Te
	for submit <at> debbugs.gnu.org; Tue, 23 May 2023 17:28:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1q1ZYT-0003I2-SH
 for 63641 <at> debbugs.gnu.org; Tue, 23 May 2023 17:28:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1ZYO-0002Mu-33; Tue, 23 May 2023 17:28:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=GDDrSqpcxce6FlDkHNNHIK8EeERV/cV4k02pV95OHA8=; b=DxxG9FqfO5RshXI888Ef
 HmOgmCnWio/Cp+rEMCbKKTX8zMdcULHgQ4YnRhWSk8Pc7JHP79FfHhFAvFmzuv5yixVEgOpL26NRX
 cxzFb/hKfv5493O/QqgDjQYCP/XHVtFutc+oYr7li5Y3v6puxzT9XfnxNXELrZXVAsI4o2KZxzqeX
 fqBPoo0rqZ/OanjZEOuc5qp3bztceUoqzp1trfI/Zx7L/uSBVrSEuCM3p8Br/6NDfNKqbT77W2d0R
 WM64he90AUkYA256dDideW773nFIQ36+d7qZd/zQkNvAOWLUiVggH5P0dRxrc9GzjuCDDQViCCGYf
 cRtJ1USK/HBUfQ==;
Received: from 2a02-a462-da03-1-2701-7f81-a736-4607.fixed6.kpn.net
 ([2a02:a462:da03:1:2701:7f81:a736:4607] helo=drakenpad.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1ZYN-0001S7-Kk; Tue, 23 May 2023 17:28:23 -0400
From: Janneke Nieuwenhuizen <janneke@HIDDEN>
To: Josselin Poiret via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#63641] [PATCH 1/8] hurd-boot: Add urandom and
 default-pager translators.
Organization: AvatarAcademy.nl
References: <cover.1684745752.git.dev@HIDDEN>
 <b3a157c648efc539edfb0c8c16e5166dec583620.1684745752.git.dev@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Tue, 23 May 2023 23:28:19 +0200
In-Reply-To: <b3a157c648efc539edfb0c8c16e5166dec583620.1684745752.git.dev@HIDDEN>
 (Josselin Poiret via Guix-patches via's message of "Mon, 22 May 2023
 11:04:11 +0200")
Message-ID: <87353m3fgs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 63641
Cc: Josselin Poiret <dev@HIDDEN>, 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Josselin Poiret via Guix-patches via writes:

> From: Josselin Poiret <dev@HIDDEN>
>
> * gnu/build/hurd-boot.scm (set-hurd-device-translators): Set up urandom a=
nd
> default-pager on boot.
> ---
>  gnu/build/hurd-boot.scm | 3 +++
>  1 file changed, 3 insertions(+)
>
> diff --git a/gnu/build/hurd-boot.scm b/gnu/build/hurd-boot.scm
> index 95c15907dd..14bfc5e809 100644
> --- a/gnu/build/hurd-boot.scm
> +++ b/gnu/build/hurd-boot.scm

Please add your copyright line at the top of the file.

Otherwise, LGTM!

--=20
Janneke Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar=C2=AE https://AvatarAcade=
my.com




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 May 2023 21:28:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 23 17:28:30 2023
Received: from localhost ([127.0.0.1]:40535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1ZYU-0003IN-Km
	for submit <at> debbugs.gnu.org; Tue, 23 May 2023 17:28:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:53850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1q1ZYP-0003I3-9n
 for submit <at> debbugs.gnu.org; Tue, 23 May 2023 17:28:28 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>) id 1q1ZYO-0004aP-Tw
 for guix-patches@HIDDEN; Tue, 23 May 2023 17:28:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1ZYO-0002Mu-33; Tue, 23 May 2023 17:28:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=GDDrSqpcxce6FlDkHNNHIK8EeERV/cV4k02pV95OHA8=; b=DxxG9FqfO5RshXI888Ef
 HmOgmCnWio/Cp+rEMCbKKTX8zMdcULHgQ4YnRhWSk8Pc7JHP79FfHhFAvFmzuv5yixVEgOpL26NRX
 cxzFb/hKfv5493O/QqgDjQYCP/XHVtFutc+oYr7li5Y3v6puxzT9XfnxNXELrZXVAsI4o2KZxzqeX
 fqBPoo0rqZ/OanjZEOuc5qp3bztceUoqzp1trfI/Zx7L/uSBVrSEuCM3p8Br/6NDfNKqbT77W2d0R
 WM64he90AUkYA256dDideW773nFIQ36+d7qZd/zQkNvAOWLUiVggH5P0dRxrc9GzjuCDDQViCCGYf
 cRtJ1USK/HBUfQ==;
Received: from 2a02-a462-da03-1-2701-7f81-a736-4607.fixed6.kpn.net
 ([2a02:a462:da03:1:2701:7f81:a736:4607] helo=drakenpad.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1ZYN-0001S7-Kk; Tue, 23 May 2023 17:28:23 -0400
From: Janneke Nieuwenhuizen <janneke@HIDDEN>
To: Josselin Poiret via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#63641] [PATCH 1/8] hurd-boot: Add urandom and
 default-pager translators.
Organization: AvatarAcademy.nl
References: <cover.1684745752.git.dev@HIDDEN>
 <b3a157c648efc539edfb0c8c16e5166dec583620.1684745752.git.dev@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Tue, 23 May 2023 23:28:19 +0200
In-Reply-To: <b3a157c648efc539edfb0c8c16e5166dec583620.1684745752.git.dev@HIDDEN>
 (Josselin Poiret via Guix-patches via's message of "Mon, 22 May 2023
 11:04:11 +0200")
Message-ID: <87353m3fgs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: Josselin Poiret <dev@HIDDEN>, 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Josselin Poiret via Guix-patches via writes:

> From: Josselin Poiret <dev@HIDDEN>
>
> * gnu/build/hurd-boot.scm (set-hurd-device-translators): Set up urandom a=
nd
> default-pager on boot.
> ---
>  gnu/build/hurd-boot.scm | 3 +++
>  1 file changed, 3 insertions(+)
>
> diff --git a/gnu/build/hurd-boot.scm b/gnu/build/hurd-boot.scm
> index 95c15907dd..14bfc5e809 100644
> --- a/gnu/build/hurd-boot.scm
> +++ b/gnu/build/hurd-boot.scm

Please add your copyright line at the top of the file.

Otherwise, LGTM!

--=20
Janneke Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar=C2=AE https://AvatarAcade=
my.com




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 23 May 2023 16:11:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 23 12:11:31 2023
Received: from localhost ([127.0.0.1]:40296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1Ubj-0000GP-Af
	for submit <at> debbugs.gnu.org; Tue, 23 May 2023 12:11:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1q1Ubc-0000Fu-T5
 for 63641 <at> debbugs.gnu.org; Tue, 23 May 2023 12:11:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1UbW-0003mq-U6; Tue, 23 May 2023 12:11:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=9Fu+vIfYel1FaGR6temqXXvy/pfH2vsx1CKasJwmklI=; b=NHbSkh+1MR/ewq0n1mhV
 fvqk5I34JBEU0OcSBJvR3LLFHP2QDq35vCg4fR6SBzJNlcXasOY2f4C3eTIuHdnMM4TdzzqNvPJug
 12uUnQdpQi5KfaMLC2CLiXYMHxxE5mPYiKt+q04gHv/vN7xL9nnJLf9eby2s6FbaBtQuPIjmn1EAx
 Z/QNRxatoqYJc0iNQndwPjOikXkbR/5YlsXUAILA4kusAj93u/s79E+W2AMfnBUpLjbL8ayFxqPZ3
 9HINV9iWv16Qto8xOhdpv5loKrtG1LwJ1phWl9Fc7HXhUY0giVYyavincMUDhg5hXZy2UmzzpZiuJ
 N597NKtG6SnRhg==;
Received: from 2a02-a462-da03-1-2701-7f81-a736-4607.fixed6.kpn.net
 ([2a02:a462:da03:1:2701:7f81:a736:4607] helo=drakenpad.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1UbV-0002ra-MK; Tue, 23 May 2023 12:11:18 -0400
From: Janneke Nieuwenhuizen <janneke@HIDDEN>
To: Josselin Poiret via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#63641] [PATCH 2/8] gnu: glibc/hurd-headers: Properly
 cross-build.
Organization: AvatarAcademy.nl
References: <cover.1684745752.git.dev@HIDDEN>
 <873b5a865c24b22b98332cc6f26e2ebef31ae68b.1684745752.git.dev@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Tue, 23 May 2023 18:11:11 +0200
In-Reply-To: <873b5a865c24b22b98332cc6f26e2ebef31ae68b.1684745752.git.dev@HIDDEN>
 (Josselin Poiret via Guix-patches via's message of "Mon, 22 May 2023
 11:04:12 +0200")
Message-ID: <871qj73u5c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 63641
Cc: Josselin Poiret <dev@HIDDEN>, 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Josselin Poiret via Guix-patches via writes:

Hi!

> From: Josselin Poiret <dev@HIDDEN>
>
> * gnu/packages/base.scm (glibc/hurd-headers): Rely on cross-mig, and remo=
ve
> hardcoded configure flag `--host=3Di586-pc-gnu`.
> * gnu/packages/cross-base.scm (cross-kernel-headers*): Add `--host` and
> `--build` configure flags.

[..]

> ---
>  gnu/packages/base.scm       | 13 ++++++-------
>  gnu/packages/cross-base.scm |  6 +++++-
>  2 files changed, 11 insertions(+), 8 deletions(-)
>
> diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
> index d2f276c447..f944ab5d47 100644
> --- a/gnu/packages/base.scm
> +++ b/gnu/packages/base.scm
> @@ -1423,17 +1423,15 @@ (define-public glibc/hurd-headers
>      (native-inputs
>       (modify-inputs (package-native-inputs glibc)
>         (prepend (if (%current-target-system)
> -                    ;; XXX: When targeting i586-pc-gnu, we need a 32-bit=
 MiG,
> -                    ;; hence this hack.
> -                    (package (inherit mig)
> -                             (arguments `(#:system "i686-linux")))
> -                    mig))))
> +                   (let* ((cross-base (resolve-interface '(gnu packages =
cross-base)))
> +                          (cross-mig (module-ref cross-base 'cross-mig)))
> +                     (cross-mig (%current-target-system)))
> +                   mig))))

I believe you can just do

--8<---------------cut here---------------start------------->8---
diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
index 59c9632551..cdeb3f0a4e 100644
--- a/gnu/packages/base.scm
+++ b/gnu/packages/base.scm
@@ -53,6 +53,7 @@ (define-module (gnu packages base)
   #:use-module (gnu packages guile)
   #:use-module (gnu packages multiprecision)
   #:use-module (gnu packages compression)
+  #:use-module (gnu packages cross-base)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages linux)
   #:use-module (gnu packages pcre)
@@ -1446,9 +1447,7 @@ (define-public glibc/hurd-headers
     (native-inputs
      (modify-inputs (package-native-inputs glibc/hurd)
        (prepend (if (%current-target-system)
-                   (let* ((cross-base (resolve-interface '(gnu packages cr=
oss-base)))
-                          (cross-mig (module-ref cross-base 'cross-mig)))
-                     (cross-mig (%current-target-system)))
+                    (cross-mig (%current-target-system))
                    mig))))
     (arguments
      (substitute-keyword-arguments (package-arguments glibc/hurd)
--8<---------------cut here---------------end--------------->8---

(Learnt that from "someone" https://issues.guix.gnu.org/63527#27 ;)

Otherwise, LGTM!

Greetings,
Janneke

--=20
Janneke Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar=C2=AE https://AvatarAcade=
my.com




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 May 2023 16:11:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 23 12:11:28 2023
Received: from localhost ([127.0.0.1]:40294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1Ubf-0000GA-RT
	for submit <at> debbugs.gnu.org; Tue, 23 May 2023 12:11:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:48710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1q1Ube-0000G1-DC
 for submit <at> debbugs.gnu.org; Tue, 23 May 2023 12:11:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>) id 1q1UbX-0005h5-VC
 for guix-patches@HIDDEN; Tue, 23 May 2023 12:11:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1UbW-0003mq-U6; Tue, 23 May 2023 12:11:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=9Fu+vIfYel1FaGR6temqXXvy/pfH2vsx1CKasJwmklI=; b=NHbSkh+1MR/ewq0n1mhV
 fvqk5I34JBEU0OcSBJvR3LLFHP2QDq35vCg4fR6SBzJNlcXasOY2f4C3eTIuHdnMM4TdzzqNvPJug
 12uUnQdpQi5KfaMLC2CLiXYMHxxE5mPYiKt+q04gHv/vN7xL9nnJLf9eby2s6FbaBtQuPIjmn1EAx
 Z/QNRxatoqYJc0iNQndwPjOikXkbR/5YlsXUAILA4kusAj93u/s79E+W2AMfnBUpLjbL8ayFxqPZ3
 9HINV9iWv16Qto8xOhdpv5loKrtG1LwJ1phWl9Fc7HXhUY0giVYyavincMUDhg5hXZy2UmzzpZiuJ
 N597NKtG6SnRhg==;
Received: from 2a02-a462-da03-1-2701-7f81-a736-4607.fixed6.kpn.net
 ([2a02:a462:da03:1:2701:7f81:a736:4607] helo=drakenpad.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1UbV-0002ra-MK; Tue, 23 May 2023 12:11:18 -0400
From: Janneke Nieuwenhuizen <janneke@HIDDEN>
To: Josselin Poiret via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#63641] [PATCH 2/8] gnu: glibc/hurd-headers: Properly
 cross-build.
Organization: AvatarAcademy.nl
References: <cover.1684745752.git.dev@HIDDEN>
 <873b5a865c24b22b98332cc6f26e2ebef31ae68b.1684745752.git.dev@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Tue, 23 May 2023 18:11:11 +0200
In-Reply-To: <873b5a865c24b22b98332cc6f26e2ebef31ae68b.1684745752.git.dev@HIDDEN>
 (Josselin Poiret via Guix-patches via's message of "Mon, 22 May 2023
 11:04:12 +0200")
Message-ID: <871qj73u5c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: Josselin Poiret <dev@HIDDEN>, 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Josselin Poiret via Guix-patches via writes:

Hi!

> From: Josselin Poiret <dev@HIDDEN>
>
> * gnu/packages/base.scm (glibc/hurd-headers): Rely on cross-mig, and remo=
ve
> hardcoded configure flag `--host=3Di586-pc-gnu`.
> * gnu/packages/cross-base.scm (cross-kernel-headers*): Add `--host` and
> `--build` configure flags.

[..]

> ---
>  gnu/packages/base.scm       | 13 ++++++-------
>  gnu/packages/cross-base.scm |  6 +++++-
>  2 files changed, 11 insertions(+), 8 deletions(-)
>
> diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
> index d2f276c447..f944ab5d47 100644
> --- a/gnu/packages/base.scm
> +++ b/gnu/packages/base.scm
> @@ -1423,17 +1423,15 @@ (define-public glibc/hurd-headers
>      (native-inputs
>       (modify-inputs (package-native-inputs glibc)
>         (prepend (if (%current-target-system)
> -                    ;; XXX: When targeting i586-pc-gnu, we need a 32-bit=
 MiG,
> -                    ;; hence this hack.
> -                    (package (inherit mig)
> -                             (arguments `(#:system "i686-linux")))
> -                    mig))))
> +                   (let* ((cross-base (resolve-interface '(gnu packages =
cross-base)))
> +                          (cross-mig (module-ref cross-base 'cross-mig)))
> +                     (cross-mig (%current-target-system)))
> +                   mig))))

I believe you can just do

--8<---------------cut here---------------start------------->8---
diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
index 59c9632551..cdeb3f0a4e 100644
--- a/gnu/packages/base.scm
+++ b/gnu/packages/base.scm
@@ -53,6 +53,7 @@ (define-module (gnu packages base)
   #:use-module (gnu packages guile)
   #:use-module (gnu packages multiprecision)
   #:use-module (gnu packages compression)
+  #:use-module (gnu packages cross-base)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages linux)
   #:use-module (gnu packages pcre)
@@ -1446,9 +1447,7 @@ (define-public glibc/hurd-headers
     (native-inputs
      (modify-inputs (package-native-inputs glibc/hurd)
        (prepend (if (%current-target-system)
-                   (let* ((cross-base (resolve-interface '(gnu packages cr=
oss-base)))
-                          (cross-mig (module-ref cross-base 'cross-mig)))
-                     (cross-mig (%current-target-system)))
+                    (cross-mig (%current-target-system))
                    mig))))
     (arguments
      (substitute-keyword-arguments (package-arguments glibc/hurd)
--8<---------------cut here---------------end--------------->8---

(Learnt that from "someone" https://issues.guix.gnu.org/63527#27 ;)

Otherwise, LGTM!

Greetings,
Janneke

--=20
Janneke Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar=C2=AE https://AvatarAcade=
my.com




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 23 May 2023 12:17:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 23 08:17:49 2023
Received: from localhost ([127.0.0.1]:38476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1QxZ-0002RO-9M
	for submit <at> debbugs.gnu.org; Tue, 23 May 2023 08:17:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43712)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1q1QxX-0002RC-DU
 for 63641 <at> debbugs.gnu.org; Tue, 23 May 2023 08:17:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1QxI-0005EX-1Z; Tue, 23 May 2023 08:17:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=biLYAUq6GiCCUioy2VR+769YGEtLhTaU1FBE9b63XHo=; b=c17Qv+F0i7SfAl5/hhms
 sm7+jdUfO6sv+S70t7mNXJ51AtsNmCc5PzUrVT1vF6Ba0VXVHmrPbfFblSsfWh5ZYalMI8UaLIyJg
 ErnZPnJsHi7jEXOsK75eSoZK5Dcln9oG3+TL8Pzmh/Ux3o+golenyOB9nS7c7S4Izxss7nXDjgoQq
 Od6LvS/xUKiRw+6TjvKSWJcMhvE0HMxR0yKWuFydZ1IFcr/ll9UAq5WXIl07kcycZwjhMzTI5YzAe
 F/szDSppc1/ZkNd1erDJLPq4u83vdGOpMRqIVWLK2jWK2MD7aTzHJazFekXhWxa2b5LIpCO46QWAS
 LI7VqA7DMppTLg==;
Received: from 2a02-a462-da03-1-2701-7f81-a736-4607.fixed6.kpn.net
 ([2a02:a462:da03:1:2701:7f81:a736:4607] helo=drakenpad.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1QxH-0007qX-Io; Tue, 23 May 2023 08:17:31 -0400
From: Janneke Nieuwenhuizen <janneke@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: [bug#63641] [PATCH 7/8] gnu: mig: Update to
 04bfe7a91223ba15d868f7165e49328b1c6e86c3.
Organization: AvatarAcademy.nl
References: <cover.1684745752.git.dev@HIDDEN>
 <84209beabc07d273034f85ce97841519188daa1c.1684745752.git.dev@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Tue, 23 May 2023 14:17:28 +0200
In-Reply-To: <84209beabc07d273034f85ce97841519188daa1c.1684745752.git.dev@HIDDEN>
 (Josselin Poiret via Guix-patches via's message of "Mon, 22 May 2023
 11:04:17 +0200")
Message-ID: <87h6s344yv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 63641
Cc: 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Josselin Poiret via Guix-patches via writes:

Hi,

> From: Josselin Poiret <dev@HIDDEN>
>
> * gnu/packages/hurd.scm (mig): Update to
> 04bfe7a91223ba15d868f7165e49328b1c6e86c3.

Did you have a specific reason not to use v1.8+git20230520, or was that
tagged after you created the patch set?  I've tested with that version
(see https://gitlab.com/janneke/guix/-/tree/wip-hurd22) and it seems to
work fine (see attached).

Greetings,
Janneke


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=mig-v1.8+git20230520.patch

diff --git a/gnu/packages/hurd.scm b/gnu/packages/hurd.scm
index ae8aff3760..5479940326 100644
--- a/gnu/packages/hurd.scm
+++ b/gnu/packages/hurd.scm
@@ -100,47 +100,45 @@ (define-public gnumach-headers
     (license gpl2+)))
 
 (define-public mig
-  (let ((revision "1")
-        (commit "04bfe7a91223ba15d868f7165e49328b1c6e86c3"))
-    (package
-      (name "mig")
-      (version (git-version "1.8" revision commit))
-      (source (origin
-                (method git-fetch)
-                (uri (git-reference
-                      (url "https://git.savannah.gnu.org/git/hurd/mig.git")
-                      (commit commit)))
-                (file-name (git-file-name name version))
-                (sha256
-                 (base32
-                  "0zw2w3hnz76f9602znshciqabylmvavx0h04y01qjlmhd9wh8iw5"))))
-      (build-system gnu-build-system)
-      ;; Flex is needed both at build and run time.
-      (inputs (list gnumach-headers flex))
-      (native-inputs (list autoconf automake flex bison))
-      (arguments
-       (list #:tests? #f
-             #:phases
-             #~(modify-phases %standard-phases
-                 (add-after 'install 'avoid-perl-dependency
-                   (lambda* (#:key build inputs outputs #:allow-other-keys)
-                     (let* ((out (assoc-ref outputs "out"))
-                            (bin (string-append out "/bin")))
-                       ;; By default 'mig' (or 'TARGET-mig') uses Perl to
-                       ;; compute 'libexecdir_rel'.  Avoid it.
-                       (substitute* (find-files bin "mig$")
-                         (("^libexecdir_rel=.*")
-                          "libexecdir_rel=../libexec\n"))))))))
-      (home-page "https://www.gnu.org/software/hurd/microkernel/mach/mig/gnu_mig.html")
-      (synopsis "Mach 3.0 interface generator for the Hurd")
-      (description
-       "GNU MIG is the GNU distribution of the Mach 3.0 interface generator
+  (package
+    (name "mig")
+    (version "1.8+git20230520")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://git.savannah.gnu.org/git/hurd/mig.git")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "10r0fdjqjzqsy6ajb21rifvhw0wpjvrw6a1zdyliqlzqny5k0qlz"))))
+    (build-system gnu-build-system)
+    ;; Flex is needed both at build and run time.
+    (inputs (list gnumach-headers flex))
+    (native-inputs (list autoconf automake flex bison))
+    (arguments
+     (list #:tests? #f
+           #:phases
+           #~(modify-phases %standard-phases
+               (add-after 'install 'avoid-perl-dependency
+                 (lambda* (#:key build inputs outputs #:allow-other-keys)
+                   (let* ((out (assoc-ref outputs "out"))
+                          (bin (string-append out "/bin")))
+                     ;; By default 'mig' (or 'TARGET-mig') uses Perl to
+                     ;; compute 'libexecdir_rel'.  Avoid it.
+                     (substitute* (find-files bin "mig$")
+                       (("^libexecdir_rel=.*")
+                        "libexecdir_rel=../libexec\n"))))))))
+    (home-page "https://www.gnu.org/software/hurd/microkernel/mach/mig/gnu_mig.html")
+    (synopsis "Mach 3.0 interface generator for the Hurd")
+    (description
+     "GNU MIG is the GNU distribution of the Mach 3.0 interface generator
 MIG, as maintained by the GNU Hurd developers for the GNU project.
 You need this tool to compile the GNU Mach and GNU Hurd distributions,
 and to compile the GNU C library for the Hurd.  Also, you will need it
 for other software in the GNU system that uses Mach-based inter-process
 communication.")
-      (license gpl2+))))
+    (license gpl2+)))
 
 (define-public hurd-headers
   ;; This commit is now slightly behind 0.9.git20220818 as this one needs a

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


--=20
Janneke Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar=C2=AE https://AvatarAcade=
my.com

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 23 May 2023 12:17:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 23 08:17:28 2023
Received: from localhost ([127.0.0.1]:38472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q1QxD-0002Qq-RX
	for submit <at> debbugs.gnu.org; Tue, 23 May 2023 08:17:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1q1QxC-0002QZ-0q
 for 63641 <at> debbugs.gnu.org; Tue, 23 May 2023 08:17:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1Qx5-0005Bj-Tq; Tue, 23 May 2023 08:17:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=VZOFYJdbd6kqMRsbAXFWo5Y+3hzGt3JIA+7GcFqmNmA=; b=iwFDjYC5l6mGfOFmLVal
 zWprlCkJL49NZ7v/CxNoygDMAVENmDAMyjdZvW/rm2B5GbtXsaBlEGJkPLCDxp3AX7WU0sF85+8Hz
 wOsiIcendbu2AruPl6juP8Vsu4Y3jRQmPmF5B/fsjwzYfJ86Jg9FgAvrEDpigl9K/ZghZUlvWNjbO
 cyLfp4hQLCMP5HU0nCquTkTQwYnTtuerhmk812rwQQ0IKFok2ZnNOTKK9c6SHXo/n+0jEhi4mukyC
 PV4eBmPMLu6PkaRswZ3Z4M3z3PZpmmliBWPuDedbwtgc99RluOQoSb1Jj+P5xi4YhD9r1p/loahKU
 fsNqQEgjmdv/oA==;
Received: from 2a02-a462-da03-1-2701-7f81-a736-4607.fixed6.kpn.net
 ([2a02:a462:da03:1:2701:7f81:a736:4607] helo=drakenpad.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <janneke@HIDDEN>)
 id 1q1Qx5-0007pV-FN; Tue, 23 May 2023 08:17:19 -0400
From: Janneke Nieuwenhuizen <janneke@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>
Subject: Re: [bug#63641] [PATCH 0/8] Add libc specific to Hurd and update
 components
Organization: AvatarAcademy.nl
References: <cover.1684745752.git.dev@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Tue, 23 May 2023 14:17:16 +0200
In-Reply-To: <cover.1684745752.git.dev@HIDDEN> (Josselin Poiret via
 Guix-patches via's message of "Mon, 22 May 2023 11:00:14 +0200")
Message-ID: <87ilcj44z7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 63641
Cc: 63641 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Josselin Poiret via Guix-patches via writes:

Hi Josselin!

> Since Janneke is working on the rumpkernel and needed some additional pat=
ches to
> our libc, I thought that we could bring back the libc specific to the Hur=
d, also
> because the newer versions of Hurd only work with glibc 2.37.  This will =
let us
> experiment with newer Hurds without impacting the rest of Guix.  There ar=
e also
> a couple of additions and clean-ups.

Awesome patch series, thank you!  Works for me, and it also brings the
rumpdisk patch series a big step further, WD0 is now being detected by
rumpdisk.  Still no success actually using it though (see
https://lists.gnu.org/archive/html/bug-hurd/2023-05//msg00404.html).

> I'm still trying to fix native compilation, but it's not going as fast
> as I would like.

Good luck with that, let me know if I can do something to help.

Greetings,
Janneke

--=20
Janneke Nieuwenhuizen <janneke@HIDDEN>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar=C2=AE https://AvatarAcade=
my.com




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 22 May 2023 09:42:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 22 05:42:32 2023
Received: from localhost ([127.0.0.1]:33589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q123j-00082j-D5
	for submit <at> debbugs.gnu.org; Mon, 22 May 2023 05:42:32 -0400
Received: from jpoiret.xyz ([206.189.101.64]:42536)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1q123g-00082a-ON
 for 63641 <at> debbugs.gnu.org; Mon, 22 May 2023 05:42:30 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id 394EF185310;
 Mon, 22 May 2023 09:42:27 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1684748547;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=wfyazlTnK2cNiPe1HmSpAXotIbcHdverZ7uv4qvXFJ4=;
 b=W29wAK8HI/CPEHlXZH3e3EecuSv3rVS+0OVkzK/kkJGEGFcZD7Z9lni5nDQC6+0Zogbf5f
 JVeb1gaSp9NToC3wm7Mq3PVc1zAIhiPICEEptxSoYdsYiwJKbCHxa3zM+9m7ZBflX5CbZ9
 KQMidAMisSEfHxSquxHqo86Quyh9m1hdorcjioW+3BgfTSC1AY2TM81Mchd7cYBbr+TSMS
 LXSDZrb3uwXOkatJ76LdXWhsj4QrpQF6q5nrzvU3oxkx2F7a6hWLJ7JEkjX28yHI35+3G4
 SVPgwxPG92hGZZJPJ7wLKwMW9t6haciW4OyXzaH/AnPdqDqw+TjZ06syeIaupA==
From: Josselin Poiret <dev@HIDDEN>
To: Josselin Poiret <dev@HIDDEN>,
	63641 <at> debbugs.gnu.org
Subject: [PATCH v2 5/8] gnu: Add libc-for-target and glibc/hurd.
Date: Mon, 22 May 2023 11:42:26 +0200
Message-Id: <37e9697f42aecfb83757989f8172beba8faf32ab.1684748476.git.dev@HIDDEN>
In-Reply-To: <87jzx07lmr.fsf@HIDDEN>
References: <87jzx07lmr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spamd-Bar: ---
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63641
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Josselin Poiret <dev@HIDDEN>

* gnu/packages/patches/glibc-2.37-hurd-clock_t_centiseconds.patch
* gnu/packages/patches/glibc-2.37-hurd-local-clock_gettime_MONOTONIC.patch
* gnu/packages/patches/glibc-2.37-ldd-x86_64.patch
* gnu/packages/patches/glibc-2.37-versioned-locpath.patch: New patches.
* gnu/local.mk (dist_patch_DATA): Register them.

* gnu/packages/base.scm (glibc/hurd, libc-for-target): New variables.
(glibc/hurd-headers): Use glibc/hurd.
* gnu/packages/commencement.scm (glibc-final-with-bootstrap-bash,
glibc-final): Use libc-for-target.
* gnu/packages/cross-base.scm (cross-libc/deprecated, cross-libc*): Use
libc-for-target.
---
 gnu/local.mk                                  |   4 +
 gnu/packages/base.scm                         |  38 ++-
 gnu/packages/commencement.scm                 |  66 ++---
 gnu/packages/cross-base.scm                   |   4 +-
 ...glibc-2.37-hurd-clock_t_centiseconds.patch |  59 +++++
 ...7-hurd-local-clock_gettime_MONOTONIC.patch | 133 ++++++++++
 .../patches/glibc-2.37-ldd-x86_64.patch       |   8 +
 .../glibc-2.37-versioned-locpath.patch        | 247 ++++++++++++++++++
 8 files changed, 521 insertions(+), 38 deletions(-)
 create mode 100644 gnu/packages/patches/glibc-2.37-hurd-clock_t_centiseconds.patch
 create mode 100644 gnu/packages/patches/glibc-2.37-hurd-local-clock_gettime_MONOTONIC.patch
 create mode 100644 gnu/packages/patches/glibc-2.37-ldd-x86_64.patch
 create mode 100644 gnu/packages/patches/glibc-2.37-versioned-locpath.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 17b07a1102..2a09d44506 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1248,6 +1248,10 @@ dist_patch_DATA =						\
   %D%/packages/patches/glibc-hidden-visibility-ldconfig.patch	\
   %D%/packages/patches/glibc-hurd-clock_gettime_monotonic.patch	\
   %D%/packages/patches/glibc-2.31-hurd-clock_gettime_monotonic.patch	\
+  %D%/packages/patches/glibc-2.37-hurd-clock_t_centiseconds.patch	\
+  %D%/packages/patches/glibc-2.37-hurd-local-clock_gettime_MONOTONIC.patch	\
+  %D%/packages/patches/glibc-2.37-ldd-x86_64.patch	\
+  %D%/packages/patches/glibc-2.37-versioned-locpath.patch	\
   %D%/packages/patches/glibc-hurd-clock_t_centiseconds.patch	\
   %D%/packages/patches/glibc-hurd-gettyent.patch		\
   %D%/packages/patches/glibc-hurd-mach-print.patch		\
diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
index f944ab5d47..59c9632551 100644
--- a/gnu/packages/base.scm
+++ b/gnu/packages/base.scm
@@ -75,6 +75,7 @@ (define-module (gnu packages base)
   #:use-module (srfi srfi-1)
   #:use-module (srfi srfi-26)
   #:export (glibc
+            libc-for-target
             make-ld-wrapper
             libiconv-if-needed))
 
@@ -1415,20 +1416,42 @@ (define-public which
 command.")
     (license gpl3+))) ; some files are under GPLv2+
 
+(define-public glibc/hurd
+  (package/inherit glibc
+    (name "glibc-hurd")
+    (version "2.37")
+    (source (origin
+            (method url-fetch)
+            (uri (string-append "mirror://gnu/glibc/glibc-" version ".tar.xz"))
+            (sha256
+             (base32
+              "0hqsp4dzrjx0iga6jv0magjw26dh82pxlmk8yis5v0d127qyymr2"))
+            (patches (search-patches "glibc-ldd-powerpc.patch"
+                                     "glibc-2.37-ldd-x86_64.patch"
+                                     "glibc-dl-cache.patch"
+                                     "glibc-2.37-versioned-locpath.patch"
+                                     "glibc-reinstate-prlimit64-fallback.patch"
+                                     "glibc-supported-locales.patch"
+                                     "glibc-2.37-hurd-clock_t_centiseconds.patch"
+                                     "glibc-2.37-hurd-local-clock_gettime_MONOTONIC.patch"
+                                     "glibc-hurd-mach-print.patch"
+                                     "glibc-hurd-gettyent.patch"))))
+    (supported-systems %hurd-systems)))
+
 (define-public glibc/hurd-headers
-  (package (inherit glibc)
+  (package/inherit glibc/hurd
     (name "glibc-hurd-headers")
     (outputs '("out"))
     (propagated-inputs (list gnumach-headers hurd-headers))
     (native-inputs
-     (modify-inputs (package-native-inputs glibc)
+     (modify-inputs (package-native-inputs glibc/hurd)
        (prepend (if (%current-target-system)
                    (let* ((cross-base (resolve-interface '(gnu packages cross-base)))
                           (cross-mig (module-ref cross-base 'cross-mig)))
                      (cross-mig (%current-target-system)))
                    mig))))
     (arguments
-     (substitute-keyword-arguments (package-arguments glibc)
+     (substitute-keyword-arguments (package-arguments glibc/hurd)
        ;; We just pass the flags really needed to build the headers.
        ((#:configure-flags flags)
         `(list "--enable-add-ons"
@@ -1449,6 +1472,15 @@ (define-public glibc/hurd-headers
            (delete 'build)))))                  ; nothing to build
     (supported-systems %hurd-systems)))
 
+(define* (libc-for-target #:optional
+                          (target (or (%current-target-system)
+                                      (%current-system))))
+  (match target
+    ((? target-hurd?)
+     glibc/hurd)
+    (_
+     glibc)))
+
 (define-public tzdata
   (package
     (name "tzdata")
diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index ab07fb37ab..a24c60ebf8 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -2816,13 +2816,13 @@ (define (%boot1-inputs)
     ("binutils-cross" ,binutils-boot0)
     ,@(alist-delete "binutils" (%boot0-inputs))))
 
-(define glibc-final-with-bootstrap-bash
+(define/system-dependent glibc-final-with-bootstrap-bash
   ;; The final libc, "cross-built".  If everything went well, the resulting
   ;; store path has no dependencies.  Actually, the really-final libc is
   ;; built just below; the only difference is that this one uses the
   ;; bootstrap Bash.
   (package
-    (inherit glibc)
+    (inherit (libc-for-target))
     (name "glibc-intermediate")
     (outputs (delete "debug" (package-outputs glibc)))
     (source (bootstrap-origin (package-source glibc)))
@@ -2991,39 +2991,39 @@ (define gettext-boot0
                         (("^PROGRAMS =.*$")
                          "PROGRAMS =\n")))))))))
 
-(define glibc-final
+(define/system-dependent glibc-final
   ;; The final glibc, which embeds the statically-linked Bash built above.
   ;; Use 'package/inherit' so we get the 'replacement' of 'glibc', if any.
-  (package/inherit
-   glibc
-   (name "glibc")
-   (source (bootstrap-origin (package-source glibc)))
-   (inputs `(("static-bash" ,static-bash-for-glibc)
-             ,@(alist-delete
-                "static-bash"
-                (package-inputs glibc-final-with-bootstrap-bash))))
-
-   ;; This time we need 'msgfmt' to install all the libc.mo files.
-   (native-inputs `(,@(package-native-inputs glibc-final-with-bootstrap-bash)
-                    ("gettext" ,gettext-boot0)))
-
-   (propagated-inputs
-    (package-propagated-inputs glibc-final-with-bootstrap-bash))
-
-   ;; The final libc only refers to itself, but the 'debug' output contains
-   ;; references to GCC-BOOT0 and to the Linux headers.  XXX: Would be great
-   ;; if 'allowed-references' were per-output.
-   (arguments
-    `(#:allowed-references
-      (,(gexp-input gcc-boot0 "lib")
-       ,(kernel-headers-boot0)
-       ,static-bash-for-glibc
-       ,@(if (hurd-system?)
-             `(,gnumach-headers-boot0
-               ,hurd-headers-boot0)
-             '())
-       ,@(package-outputs glibc-final-with-bootstrap-bash))
-      ,@(package-arguments glibc-final-with-bootstrap-bash)))))
+  (let ((libc (libc-for-target)))
+    (package/inherit libc
+      (name "glibc")
+      (source (bootstrap-origin (package-source glibc)))
+      (inputs `(("static-bash" ,static-bash-for-glibc)
+                ,@(alist-delete
+                   "static-bash"
+                   (package-inputs glibc-final-with-bootstrap-bash))))
+
+      ;; This time we need 'msgfmt' to install all the libc.mo files.
+      (native-inputs `(,@(package-native-inputs glibc-final-with-bootstrap-bash)
+                       ("gettext" ,gettext-boot0)))
+
+      (propagated-inputs
+       (package-propagated-inputs glibc-final-with-bootstrap-bash))
+
+      ;; The final libc only refers to itself, but the 'debug' output contains
+      ;; references to GCC-BOOT0 and to the Linux headers.  XXX: Would be great
+      ;; if 'allowed-references' were per-output.
+      (arguments
+       `(#:allowed-references
+         (,(gexp-input gcc-boot0 "lib")
+          ,(kernel-headers-boot0)
+          ,static-bash-for-glibc
+          ,@(if (hurd-system?)
+                `(,gnumach-headers-boot0
+                  ,hurd-headers-boot0)
+                '())
+          ,@(package-outputs glibc-final-with-bootstrap-bash))
+         ,@(package-arguments glibc-final-with-bootstrap-bash))))))
 
 (define/system-dependent gcc-boot0-wrapped
   ;; Make the cross-tools GCC-BOOT0 and BINUTILS-BOOT0 available under the
diff --git a/gnu/packages/cross-base.scm b/gnu/packages/cross-base.scm
index 01c2295853..b2823c73c5 100644
--- a/gnu/packages/cross-base.scm
+++ b/gnu/packages/cross-base.scm
@@ -577,7 +577,7 @@ (define* (cross-libc . args)
 
 (define* (cross-libc/deprecated target
                                 #:optional
-                                (libc glibc)
+                                (libc (libc-for-target target))
                                 (xgcc (cross-gcc target))
                                 (xbinutils (cross-binutils target))
                                 (xheaders (cross-kernel-headers target)))
@@ -590,7 +590,7 @@ (define* (cross-libc/deprecated target
 
 (define* (cross-libc* target
                       #:key
-                      (libc glibc)
+                      (libc (libc-for-target target))
                       (xgcc (cross-gcc target))
                       (xbinutils (cross-binutils target))
                       (xheaders (cross-kernel-headers target)))
diff --git a/gnu/packages/patches/glibc-2.37-hurd-clock_t_centiseconds.patch b/gnu/packages/patches/glibc-2.37-hurd-clock_t_centiseconds.patch
new file mode 100644
index 0000000000..27db59ec40
--- /dev/null
+++ b/gnu/packages/patches/glibc-2.37-hurd-clock_t_centiseconds.patch
@@ -0,0 +1,59 @@
+Some applications assume centisecond precision, or at most millisecond precision
+(e.g. guile).  This is a work-around for them.
+
+---
+ getclktck.c |    5 ++---
+ setitimer.c |    2 +-
+ times.c     |    2 +-
+ 4 files changed, 8 insertions(+), 9 deletions(-)
+commit d57f2f9b4bd007846af2fb4217486ea572579010
+Author: Richard Braun <rbraun@HIDDEN>
+Date:   Tue Aug 27 11:35:31 2013 +0200
+
+    Express CPU time (clock_t of times(2)) in centiseconds
+
+diff --git a/sysdeps/mach/hurd/getclktck.c b/sysdeps/mach/hurd/getclktck.c
+index 69be2cc..5f7d946 100644
+--- a/sysdeps/mach/hurd/getclktck.c
++++ b/sysdeps/mach/hurd/getclktck.c
+@@ -18,12 +18,11 @@
+ 
+ #include <time.h>
+ 
+-/* Return frequency of `times'.
+-   Since Mach reports CPU times in microseconds, we always use 1 million.  */
++/* Return frequency of `times'.  */
+ int
+ __getclktck (void)
+ {
+-  return 1000000;
++  return 100;
+ }
+ 
+ /* Before glibc 2.2, the Hurd actually did this differently, so we
+diff --git a/sysdeps/mach/hurd/setitimer.c b/sysdeps/mach/hurd/setitimer.c
+index 39b6b16..4992c89 100644
+--- a/sysdeps/mach/hurd/setitimer.c
++++ b/sysdeps/mach/hurd/setitimer.c
+@@ -42,7 +42,7 @@ quantize_timeval (struct timeval *tv)
+   static time_t quantum = -1;
+ 
+   if (quantum == -1)
+-    quantum = 1000000 / __getclktck ();
++    quantum = 100 / __getclktck ();
+ 
+   tv->tv_usec = ((tv->tv_usec + (quantum - 1)) / quantum) * quantum;
+   if (tv->tv_usec >= 1000000)
+diff --git a/sysdeps/mach/hurd/times.c b/sysdeps/mach/hurd/times.c
+index 9e13a75..593c33a 100644
+--- a/sysdeps/mach/hurd/times.c
++++ b/sysdeps/mach/hurd/times.c
+@@ -29,7 +29,7 @@
+ static inline clock_t
+ clock_from_time_value (const time_value_t *t)
+ {
+-  return t->seconds * 1000000 + t->microseconds;
++  return t->seconds * 100 + t->microseconds / 10000;
+ }
+ 
+ /* Store the CPU time used by this process and all its
diff --git a/gnu/packages/patches/glibc-2.37-hurd-local-clock_gettime_MONOTONIC.patch b/gnu/packages/patches/glibc-2.37-hurd-local-clock_gettime_MONOTONIC.patch
new file mode 100644
index 0000000000..3207a94550
--- /dev/null
+++ b/gnu/packages/patches/glibc-2.37-hurd-local-clock_gettime_MONOTONIC.patch
@@ -0,0 +1,133 @@
+Use the realtime clock for the monotonic clock. This is of course not a proper
+implementation (which is being done in Mach), but will permit to fix at least
+the iceweasel stack.
+
+vlc however doesn't build when _POSIX_CLOCK_SELECTION is enabled but
+_POSIX_TIMERS is not, and they refuse to fix that (see #765578), so disable the
+former.
+
+---
+ sysdeps/mach/hurd/bits/posix_opt.h |    2 +-
+ sysdeps/unix/clock_gettime.c       |    1 +
+ 2 files changed, 2 insertions(+), 1 deletion(-)
+Index: glibc-2.27/sysdeps/mach/clock_gettime.c
+===================================================================
+--- glibc-2.27.orig/sysdeps/mach/clock_gettime.c
++++ glibc-2.27/sysdeps/mach/clock_gettime.c
+@@ -31,6 +31,10 @@ __clock_gettime (clockid_t clock_id, str
+   switch (clock_id) {
+ 
+     case CLOCK_REALTIME:
++    case CLOCK_MONOTONIC:
++    case CLOCK_MONOTONIC_RAW:
++    case CLOCK_REALTIME_COARSE:
++    case CLOCK_MONOTONIC_COARSE:
+       {
+ 	/* __host_get_time can only fail if passed an invalid host_t.
+ 	   __mach_host_self could theoretically fail (producing an
+Index: glibc-2.27/rt/timer_create.c
+===================================================================
+--- glibc-2.27.orig/rt/timer_create.c
++++ glibc-2.27/rt/timer_create.c
+@@ -48,7 +48,7 @@ timer_create (clockid_t clock_id, struct
+       return -1;
+     }
+ 
+-  if (clock_id != CLOCK_REALTIME)
++  if (clock_id != CLOCK_REALTIME && clock_id != CLOCK_MONOTONIC && clock_id != CLOCK_MONOTONIC_RAW && clock_id != CLOCK_REALTIME_COARSE && clock_id != CLOCK_MONOTONIC_COARSE)
+     {
+       __set_errno (EINVAL);
+       return -1;
+Index: glibc-2.27/sysdeps/mach/hurd/bits/posix_opt.h
+===================================================================
+--- glibc-2.27.orig/sysdeps/mach/hurd/bits/posix_opt.h
++++ glibc-2.27/sysdeps/mach/hurd/bits/posix_opt.h
+@@ -163,10 +163,10 @@
+ #define _POSIX_THREAD_PROCESS_SHARED	-1
+ 
+ /* The monotonic clock might be available.  */
+-#define _POSIX_MONOTONIC_CLOCK	0
++#define _POSIX_MONOTONIC_CLOCK	200809L
+ 
+-/* The clock selection interfaces are available.  */
+-#define _POSIX_CLOCK_SELECTION	200809L
++/* The clock selection interfaces are not really available yet.  */
++#define _POSIX_CLOCK_SELECTION	-1
+ 
+ /* Advisory information interfaces could be available in future.  */
+ #define _POSIX_ADVISORY_INFO	0
+Index: glibc-upstream/sysdeps/posix/clock_getres.c
+===================================================================
+--- glibc-upstream.orig/sysdeps/posix/clock_getres.c
++++ glibc-upstream/sysdeps/posix/clock_getres.c
+@@ -52,6 +52,10 @@ __clock_getres (clockid_t clock_id, stru
+   switch (clock_id)
+     {
+     case CLOCK_REALTIME:
++    case CLOCK_MONOTONIC:
++    case CLOCK_MONOTONIC_RAW:
++    case CLOCK_REALTIME_COARSE:
++    case CLOCK_MONOTONIC_COARSE:
+       retval = realtime_getres (res);
+       break;
+ 
+--- ./sysdeps/mach/clock_nanosleep.c.original	2020-07-21 00:31:35.226113142 +0200
++++ ./sysdeps/mach/clock_nanosleep.c	2020-07-21 00:31:49.026185761 +0200
+@@ -62,7 +62,7 @@
+ __clock_nanosleep (clockid_t clock_id, int flags, const struct timespec *req,
+ 		   struct timespec *rem)
+ {
+-  if (clock_id != CLOCK_REALTIME
++  if ((clock_id != CLOCK_REALTIME && clock_id != CLOCK_MONOTONIC && clock_id != CLOCK_MONOTONIC_RAW && clock_id != CLOCK_REALTIME_COARSE && clock_id != CLOCK_MONOTONIC_COARSE)
+       || !valid_nanoseconds (req->tv_nsec)
+       || (flags != 0 && flags != TIMER_ABSTIME))
+     return EINVAL;
+Index: glibc-2.32/hurd/hurdlock.c
+===================================================================
+--- glibc-2.32.orig/hurd/hurdlock.c
++++ glibc-2.32/hurd/hurdlock.c
+@@ -47,7 +47,7 @@ int
+ __lll_abstimed_wait (void *ptr, int val,
+   const struct timespec *tsp, int flags, int clk)
+ {
+-  if (clk != CLOCK_REALTIME)
++  if (clk != CLOCK_REALTIME && clk != CLOCK_MONOTONIC)
+     return EINVAL;
+ 
+   int mlsec = compute_reltime (tsp, clk);
+@@ -59,7 +59,7 @@ int
+ __lll_abstimed_wait_intr (void *ptr, int val,
+   const struct timespec *tsp, int flags, int clk)
+ {
+-  if (clk != CLOCK_REALTIME)
++  if (clk != CLOCK_REALTIME && clk != CLOCK_MONOTONIC)
+     return EINVAL;
+ 
+   int mlsec = compute_reltime (tsp, clk);
+@@ -79,7 +79,7 @@ int
+ __lll_abstimed_xwait (void *ptr, int lo, int hi,
+   const struct timespec *tsp, int flags, int clk)
+ {
+-  if (clk != CLOCK_REALTIME)
++  if (clk != CLOCK_REALTIME && clk != CLOCK_MONOTONIC)
+     return EINVAL;
+ 
+   int mlsec = compute_reltime (tsp, clk);
+@@ -91,7 +91,7 @@ int
+ __lll_abstimed_lock (void *ptr,
+   const struct timespec *tsp, int flags, int clk)
+ {
+-  if (clk != CLOCK_REALTIME)
++  if (clk != CLOCK_REALTIME && clk != CLOCK_MONOTONIC)
+     return EINVAL;
+ 
+   if (__lll_trylock (ptr) == 0)
+@@ -177,7 +177,7 @@ __lll_robust_abstimed_lock (void *ptr,
+   int wait_time = 25;
+   unsigned int val;
+ 
+-  if (clk != CLOCK_REALTIME)
++  if (clk != CLOCK_REALTIME && clk != CLOCK_MONOTONIC)
+     return EINVAL;
+ 
+   while (1)
diff --git a/gnu/packages/patches/glibc-2.37-ldd-x86_64.patch b/gnu/packages/patches/glibc-2.37-ldd-x86_64.patch
new file mode 100644
index 0000000000..078cb38bd0
--- /dev/null
+++ b/gnu/packages/patches/glibc-2.37-ldd-x86_64.patch
@@ -0,0 +1,8 @@
+By default, 'RTDLLIST' in 'ldd' refers to 'lib64/ld-linux-x86-64.so', whereas
+it's in 'lib/' for us.  This patch fixes that.
+
+--- glibc-2.17/sysdeps/unix/sysv/linux/x86_64/ldd-rewrite.sed	2012-12-25 04:02:13.000000000 +0100
++++ glibc-2.17/sysdeps/unix/sysv/linux/x86_64/ldd-rewrite.sed	2013-09-15 23:08:03.000000000 +0200
+@@ -1,1 +1,1 @@
+-s_^\(RTLDLIST=\)\(.*lib\)\(\|64\|x32\)\(/[^/]*\)\(-x86-64\|-x32\)\(\.so\.[0-9.]*\)[ 	]*$_\1"\2\4\6 \264\4-x86-64\6 \2x32\4-x32\6"_
++s_^\(RTLDLIST=\)\(.*lib\)\(\|64\|x32\)\(/[^/]*\)\(-x86-64\|-x32\)\(\.so\.[0-9.]*\)[ 	]*$_\1"\2\4\6 \2\4-x86-64\6 \2x32\4-x32\6"_
diff --git a/gnu/packages/patches/glibc-2.37-versioned-locpath.patch b/gnu/packages/patches/glibc-2.37-versioned-locpath.patch
new file mode 100644
index 0000000000..1964be4b4b
--- /dev/null
+++ b/gnu/packages/patches/glibc-2.37-versioned-locpath.patch
@@ -0,0 +1,247 @@
+From d73ba2caa10b8e9f51ff4239cc32eeb4e0de4279 Mon Sep 17 00:00:00 2001
+Message-Id: <d73ba2caa10b8e9f51ff4239cc32eeb4e0de4279.1683980025.git.dev@HIDDEN>
+From: Josselin Poiret <dev@HIDDEN>
+Date: Sat, 13 May 2023 14:10:43 +0200
+Subject: [PATCH] Add versioned locpath
+
+From: Josselin Poiret <dev@HIDDEN>
+
+---
+ locale/newlocale.c   | 15 ++--------
+ locale/setlocale.c   | 68 +++++++++++++++++++++++++++++++++++++-------
+ string/Makefile      |  1 +
+ string/argz-suffix.c | 56 ++++++++++++++++++++++++++++++++++++
+ string/argz.h        | 10 +++++++
+ 5 files changed, 127 insertions(+), 23 deletions(-)
+ create mode 100644 string/argz-suffix.c
+
+diff --git a/locale/newlocale.c b/locale/newlocale.c
+index 108d2428bf..6218e0fa77 100644
+--- a/locale/newlocale.c
++++ b/locale/newlocale.c
+@@ -29,6 +29,7 @@
+ /* Lock for protecting global data.  */
+ __libc_rwlock_define (extern , __libc_setlocale_lock attribute_hidden)
+ 
++extern error_t compute_locale_search_path (char **, size_t *);
+ 
+ /* Use this when we come along an error.  */
+ #define ERROR_RETURN							      \
+@@ -47,7 +48,6 @@ __newlocale (int category_mask, const char *locale, locale_t base)
+   locale_t result_ptr;
+   char *locale_path;
+   size_t locale_path_len;
+-  const char *locpath_var;
+   int cnt;
+   size_t names_len;
+ 
+@@ -101,17 +101,8 @@ __newlocale (int category_mask, const char *locale, locale_t base)
+   locale_path = NULL;
+   locale_path_len = 0;
+ 
+-  locpath_var = getenv ("LOCPATH");
+-  if (locpath_var != NULL && locpath_var[0] != '\0')
+-    {
+-      if (__argz_create_sep (locpath_var, ':',
+-			     &locale_path, &locale_path_len) != 0)
+-	return NULL;
+-
+-      if (__argz_add_sep (&locale_path, &locale_path_len,
+-			  _nl_default_locale_path, ':') != 0)
+-	return NULL;
+-    }
++  if (compute_locale_search_path (&locale_path, &locale_path_len) != 0)
++    return NULL;
+ 
+   /* Get the names for the locales we are interested in.  We either
+      allow a composite name or a single name.  */
+diff --git a/locale/setlocale.c b/locale/setlocale.c
+index dd73fa4248..d8eb799384 100644
+--- a/locale/setlocale.c
++++ b/locale/setlocale.c
+@@ -213,12 +213,65 @@ setdata (int category, struct __locale_data *data)
+     }
+ }
+ 
++/* Return in *LOCALE_PATH and *LOCALE_PATH_LEN the locale data search path as
++   a colon-separated list.  Return ENOMEN on error, zero otherwise.  */
++error_t
++compute_locale_search_path (char **locale_path, size_t *locale_path_len)
++{
++  char* guix_locpath_var = getenv ("GUIX_LOCPATH");
++  char *locpath_var = getenv ("LOCPATH");
++
++  if (guix_locpath_var != NULL && guix_locpath_var[0] != '\0')
++    {
++      /* Entries in 'GUIX_LOCPATH' take precedence over 'LOCPATH'.  These
++	 entries are systematically prefixed with "/X.Y" where "X.Y" is the
++	 libc version.  */
++      if (__argz_create_sep (guix_locpath_var, ':',
++			     locale_path, locale_path_len) != 0
++	  || __argz_suffix_entries (locale_path, locale_path_len,
++				    "/" VERSION) != 0)
++	goto bail_out;
++    }
++
++  if (locpath_var != NULL && locpath_var[0] != '\0')
++    {
++      char *reg_locale_path = NULL;
++      size_t reg_locale_path_len = 0;
++
++      if (__argz_create_sep (locpath_var, ':',
++			     &reg_locale_path, &reg_locale_path_len) != 0)
++	goto bail_out;
++
++      if (__argz_append (locale_path, locale_path_len,
++			 reg_locale_path, reg_locale_path_len) != 0)
++	goto bail_out;
++
++      free (reg_locale_path);
++    }
++
++  if (*locale_path != NULL)
++    {
++      /* Append the system default locale directory.  */
++      if (__argz_add_sep (locale_path, locale_path_len,
++			  _nl_default_locale_path, ':') != 0)
++	goto bail_out;
++    }
++
++  return 0;
++
++ bail_out:
++  free (*locale_path);
++  *locale_path = NULL;
++  *locale_path_len = 0;
++
++  return ENOMEM;
++}
++
+ char *
+ setlocale (int category, const char *locale)
+ {
+   char *locale_path;
+   size_t locale_path_len;
+-  const char *locpath_var;
+   char *composite;
+ 
+   /* Sanity check for CATEGORY argument.  */
+@@ -249,17 +302,10 @@ setlocale (int category, const char *locale)
+   locale_path = NULL;
+   locale_path_len = 0;
+ 
+-  locpath_var = getenv ("LOCPATH");
+-  if (locpath_var != NULL && locpath_var[0] != '\0')
++  if (compute_locale_search_path (&locale_path, &locale_path_len) != 0)
+     {
+-      if (__argz_create_sep (locpath_var, ':',
+-			     &locale_path, &locale_path_len) != 0
+-	  || __argz_add_sep (&locale_path, &locale_path_len,
+-			     _nl_default_locale_path, ':') != 0)
+-	{
+-	  __libc_rwlock_unlock (__libc_setlocale_lock);
+-	  return NULL;
+-	}
++      __libc_rwlock_unlock (__libc_setlocale_lock);
++      return NULL;
+     }
+ 
+   if (category == LC_ALL)
+diff --git a/string/Makefile b/string/Makefile
+index 3eced0d027..a7e68729ad 100644
+--- a/string/Makefile
++++ b/string/Makefile
+@@ -51,6 +51,7 @@ routines := \
+   argz-next \
+   argz-replace \
+   argz-stringify \
++  argz-suffix \
+   basename \
+   bcopy \
+   bzero \
+diff --git a/string/argz-suffix.c b/string/argz-suffix.c
+new file mode 100644
+index 0000000000..505b0f248c
+--- /dev/null
++++ b/string/argz-suffix.c
+@@ -0,0 +1,56 @@
++/* Copyright (C) 2015 Free Software Foundation, Inc.
++   This file is part of the GNU C Library.
++   Contributed by Ludovic Court├Ęs <ludo@HIDDEN>.
++
++   The GNU C Library is free software; you can redistribute it and/or
++   modify it under the terms of the GNU Lesser General Public
++   License as published by the Free Software Foundation; either
++   version 2.1 of the License, or (at your option) any later version.
++
++   The GNU C Library is distributed in the hope that it will be useful,
++   but WITHOUT ANY WARRANTY; without even the implied warranty of
++   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
++   Lesser General Public License for more details.
++
++   You should have received a copy of the GNU Lesser General Public
++   License along with the GNU C Library; if not, see
++   <http://www.gnu.org/licenses/>.  */
++
++#include <argz.h>
++#include <errno.h>
++#include <stdlib.h>
++#include <string.h>
++
++
++error_t
++__argz_suffix_entries (char **argz, size_t *argz_len, const char *suffix)
++
++{
++  size_t suffix_len = strlen (suffix);
++  size_t count = __argz_count (*argz, *argz_len);
++  size_t new_argz_len = *argz_len + count * suffix_len;
++  char *new_argz = malloc (new_argz_len);
++
++  if (new_argz)
++    {
++      char *p = new_argz, *entry;
++
++      for (entry = *argz;
++	   entry != NULL;
++	   entry = argz_next (*argz, *argz_len, entry))
++	{
++	  p = stpcpy (p, entry);
++	  p = stpcpy (p, suffix);
++	  p++;
++	}
++
++      free (*argz);
++      *argz = new_argz;
++      *argz_len = new_argz_len;
++
++      return 0;
++    }
++  else
++    return ENOMEM;
++}
++weak_alias (__argz_suffix_entries, argz_suffix_entries)
+diff --git a/string/argz.h b/string/argz.h
+index cbc588a8e6..bc6e484c9d 100644
+--- a/string/argz.h
++++ b/string/argz.h
+@@ -108,6 +108,16 @@ extern error_t argz_replace (char **__restrict __argz,
+ 			     const char *__restrict __str,
+ 			     const char *__restrict __with,
+ 			     unsigned int *__restrict __replace_count);
++
++/* Suffix each entry of ARGZ & ARGZ_LEN with SUFFIX.  Return 0 on success,
++   and ENOMEN if memory cannot be allocated.  */
++extern error_t __argz_suffix_entries (char **__restrict __argz,
++				      size_t *__restrict __argz_len,
++				      const char *__restrict __suffix);
++extern error_t argz_suffix_entries (char **__restrict __argz,
++				    size_t *__restrict __argz_len,
++				    const char *__restrict __suffix);
++
+ 
+ /* Returns the next entry in ARGZ & ARGZ_LEN after ENTRY, or NULL if there
+    are no more.  If entry is NULL, then the first entry is returned.  This
+-- 
+2.40.1
+

base-commit: 849286ba66c96534bddc04df1a47d5692cbc977e
prerequisite-patch-id: bf9f6c2efa2216af0f1787dc1582e2cec821f19e
prerequisite-patch-id: 69acf79d4013ebdc3e7dfb4882bbe19498c820a5
prerequisite-patch-id: 900de3149fa074c39e463d859ccdf208ce120a76
prerequisite-patch-id: 196fd00997b26669da59cf6495fa390f42be05f4
-- 
2.40.1





Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 22 May 2023 09:37:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 22 05:37:14 2023
Received: from localhost ([127.0.0.1]:33584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q11yZ-0007ut-9n
	for submit <at> debbugs.gnu.org; Mon, 22 May 2023 05:37:14 -0400
Received: from jpoiret.xyz ([206.189.101.64]:41966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1q11yX-0007ul-EO
 for 63641 <at> debbugs.gnu.org; Mon, 22 May 2023 05:37:10 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id 7A6A8185310
 for <63641 <at> debbugs.gnu.org>; Mon, 22 May 2023 09:37:03 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1684748223;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=VJfNiJNp/6qAyZLEcngPnMBSfqbVAa8uPHudCoCkV+s=;
 b=huQ4QKNCbH7el4Cm2sedzTcok2H98aKH0F1dEkoE4GTX6oO3kTEfn+4hOIihP62YFLIa9y
 EPxAest47rzYmzIn/PE+TABM+HfTVWOAbgH+AstU8BmnOBmzmtK9CqskQx2X628W9wFuZ4
 opHa408wRDdYDrdmbNCYyADC1TVZc8kJ1erUHBiT4H2X83cNY2K6FsEmTq0eosReeSfX9G
 p4gPq1BRuTwSBMi5+ijmgab5tnooPoNzBlXI8SqkBlm8U7gKy0vH6dXp/i3Hs3K2h9EOKc
 MgM1VT77Bvbexm2aJCKS+ulCVxU40H2kXhMzrbymCcM2hGm7AXqGLQ6hkyNThQ==
From: Josselin Poiret <dev@HIDDEN>
To: 63641 <at> debbugs.gnu.org
Subject: Re: [PATCH 5/8] gnu: Add libc-for-target and glibc/hurd.
In-Reply-To: <6159809904a724d5db977063feb0bb6c260063d1.1684745752.git.dev@HIDDEN>
References: <cover.1684745752.git.dev@HIDDEN>
 <6159809904a724d5db977063feb0bb6c260063d1.1684745752.git.dev@HIDDEN>
Date: Mon, 22 May 2023 11:37:00 +0200
Message-ID: <87jzx07lmr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spamd-Bar: /
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63641
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hum, seems I forgot to add the corresponding patches.  Will send a
partial v2 of this one, my bad.

Josselin Poiret <dev@HIDDEN> writes:

> From: Josselin Poiret <dev@HIDDEN>
>
> * gnu/packages/base.scm (glibc/hurd, libc-for-target): New variables.
> (glibc/hurd-headers): Use glibc/hurd.
> * gnu/packages/commencement.scm (glibc-final-with-bootstrap-bash,
> glibc-final): Use libc-for-target.
> * gnu/packages/cross-base.scm (cross-libc/deprecated, cross-libc*): Use
> libc-for-target.
> ---
>  gnu/packages/base.scm         | 38 ++++++++++++++++++--
>  gnu/packages/commencement.scm | 66 +++++++++++++++++------------------
>  gnu/packages/cross-base.scm   |  4 +--
>  3 files changed, 70 insertions(+), 38 deletions(-)
>
> diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
> index f944ab5d47..59c9632551 100644
> --- a/gnu/packages/base.scm
> +++ b/gnu/packages/base.scm
> @@ -75,6 +75,7 @@ (define-module (gnu packages base)
>    #:use-module (srfi srfi-1)
>    #:use-module (srfi srfi-26)
>    #:export (glibc
> +            libc-for-target
>              make-ld-wrapper
>              libiconv-if-needed))
>=20=20
> @@ -1415,20 +1416,42 @@ (define-public which
>  command.")
>      (license gpl3+))) ; some files are under GPLv2+
>=20=20
> +(define-public glibc/hurd
> +  (package/inherit glibc
> +    (name "glibc-hurd")
> +    (version "2.37")
> +    (source (origin
> +            (method url-fetch)
> +            (uri (string-append "mirror://gnu/glibc/glibc-" version ".ta=
r.xz"))
> +            (sha256
> +             (base32
> +              "0hqsp4dzrjx0iga6jv0magjw26dh82pxlmk8yis5v0d127qyymr2"))
> +            (patches (search-patches "glibc-ldd-powerpc.patch"
> +                                     "glibc-2.37-ldd-x86_64.patch"
> +                                     "glibc-dl-cache.patch"
> +                                     "glibc-2.37-versioned-locpath.patch"
> +                                     "glibc-reinstate-prlimit64-fallback=
.patch"
> +                                     "glibc-supported-locales.patch"
> +                                     "glibc-2.37-hurd-clock_t_centisecon=
ds.patch"
> +                                     "glibc-2.37-hurd-local-clock_gettim=
e_MONOTONIC.patch"
> +                                     "glibc-hurd-mach-print.patch"
> +                                     "glibc-hurd-gettyent.patch"))))
> +    (supported-systems %hurd-systems)))
> +
>  (define-public glibc/hurd-headers
> -  (package (inherit glibc)
> +  (package/inherit glibc/hurd
>      (name "glibc-hurd-headers")
>      (outputs '("out"))
>      (propagated-inputs (list gnumach-headers hurd-headers))
>      (native-inputs
> -     (modify-inputs (package-native-inputs glibc)
> +     (modify-inputs (package-native-inputs glibc/hurd)
>         (prepend (if (%current-target-system)
>                     (let* ((cross-base (resolve-interface '(gnu packages =
cross-base)))
>                            (cross-mig (module-ref cross-base 'cross-mig)))
>                       (cross-mig (%current-target-system)))
>                     mig))))
>      (arguments
> -     (substitute-keyword-arguments (package-arguments glibc)
> +     (substitute-keyword-arguments (package-arguments glibc/hurd)
>         ;; We just pass the flags really needed to build the headers.
>         ((#:configure-flags flags)
>          `(list "--enable-add-ons"
> @@ -1449,6 +1472,15 @@ (define-public glibc/hurd-headers
>             (delete 'build)))))                  ; nothing to build
>      (supported-systems %hurd-systems)))
>=20=20
> +(define* (libc-for-target #:optional
> +                          (target (or (%current-target-system)
> +                                      (%current-system))))
> +  (match target
> +    ((? target-hurd?)
> +     glibc/hurd)
> +    (_
> +     glibc)))
> +
>  (define-public tzdata
>    (package
>      (name "tzdata")
> diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
> index ab07fb37ab..a24c60ebf8 100644
> --- a/gnu/packages/commencement.scm
> +++ b/gnu/packages/commencement.scm
> @@ -2816,13 +2816,13 @@ (define (%boot1-inputs)
>      ("binutils-cross" ,binutils-boot0)
>      ,@(alist-delete "binutils" (%boot0-inputs))))
>=20=20
> -(define glibc-final-with-bootstrap-bash
> +(define/system-dependent glibc-final-with-bootstrap-bash
>    ;; The final libc, "cross-built".  If everything went well, the result=
ing
>    ;; store path has no dependencies.  Actually, the really-final libc is
>    ;; built just below; the only difference is that this one uses the
>    ;; bootstrap Bash.
>    (package
> -    (inherit glibc)
> +    (inherit (libc-for-target))
>      (name "glibc-intermediate")
>      (outputs (delete "debug" (package-outputs glibc)))
>      (source (bootstrap-origin (package-source glibc)))
> @@ -2991,39 +2991,39 @@ (define gettext-boot0
>                          (("^PROGRAMS =3D.*$")
>                           "PROGRAMS =3D\n")))))))))
>=20=20
> -(define glibc-final
> +(define/system-dependent glibc-final
>    ;; The final glibc, which embeds the statically-linked Bash built abov=
e.
>    ;; Use 'package/inherit' so we get the 'replacement' of 'glibc', if an=
y.
> -  (package/inherit
> -   glibc
> -   (name "glibc")
> -   (source (bootstrap-origin (package-source glibc)))
> -   (inputs `(("static-bash" ,static-bash-for-glibc)
> -             ,@(alist-delete
> -                "static-bash"
> -                (package-inputs glibc-final-with-bootstrap-bash))))
> -
> -   ;; This time we need 'msgfmt' to install all the libc.mo files.
> -   (native-inputs `(,@(package-native-inputs glibc-final-with-bootstrap-=
bash)
> -                    ("gettext" ,gettext-boot0)))
> -
> -   (propagated-inputs
> -    (package-propagated-inputs glibc-final-with-bootstrap-bash))
> -
> -   ;; The final libc only refers to itself, but the 'debug' output conta=
ins
> -   ;; references to GCC-BOOT0 and to the Linux headers.  XXX: Would be g=
reat
> -   ;; if 'allowed-references' were per-output.
> -   (arguments
> -    `(#:allowed-references
> -      (,(gexp-input gcc-boot0 "lib")
> -       ,(kernel-headers-boot0)
> -       ,static-bash-for-glibc
> -       ,@(if (hurd-system?)
> -             `(,gnumach-headers-boot0
> -               ,hurd-headers-boot0)
> -             '())
> -       ,@(package-outputs glibc-final-with-bootstrap-bash))
> -      ,@(package-arguments glibc-final-with-bootstrap-bash)))))
> +  (let ((libc (libc-for-target)))
> +    (package/inherit libc
> +      (name "glibc")
> +      (source (bootstrap-origin (package-source glibc)))
> +      (inputs `(("static-bash" ,static-bash-for-glibc)
> +                ,@(alist-delete
> +                   "static-bash"
> +                   (package-inputs glibc-final-with-bootstrap-bash))))
> +
> +      ;; This time we need 'msgfmt' to install all the libc.mo files.
> +      (native-inputs `(,@(package-native-inputs glibc-final-with-bootstr=
ap-bash)
> +                       ("gettext" ,gettext-boot0)))
> +
> +      (propagated-inputs
> +       (package-propagated-inputs glibc-final-with-bootstrap-bash))
> +
> +      ;; The final libc only refers to itself, but the 'debug' output co=
ntains
> +      ;; references to GCC-BOOT0 and to the Linux headers.  XXX: Would b=
e great
> +      ;; if 'allowed-references' were per-output.
> +      (arguments
> +       `(#:allowed-references
> +         (,(gexp-input gcc-boot0 "lib")
> +          ,(kernel-headers-boot0)
> +          ,static-bash-for-glibc
> +          ,@(if (hurd-system?)
> +                `(,gnumach-headers-boot0
> +                  ,hurd-headers-boot0)
> +                '())
> +          ,@(package-outputs glibc-final-with-bootstrap-bash))
> +         ,@(package-arguments glibc-final-with-bootstrap-bash))))))
>=20=20
>  (define/system-dependent gcc-boot0-wrapped
>    ;; Make the cross-tools GCC-BOOT0 and BINUTILS-BOOT0 available under t=
he
> diff --git a/gnu/packages/cross-base.scm b/gnu/packages/cross-base.scm
> index 01c2295853..b2823c73c5 100644
> --- a/gnu/packages/cross-base.scm
> +++ b/gnu/packages/cross-base.scm
> @@ -577,7 +577,7 @@ (define* (cross-libc . args)
>=20=20
>  (define* (cross-libc/deprecated target
>                                  #:optional
> -                                (libc glibc)
> +                                (libc (libc-for-target target))
>                                  (xgcc (cross-gcc target))
>                                  (xbinutils (cross-binutils target))
>                                  (xheaders (cross-kernel-headers target)))
> @@ -590,7 +590,7 @@ (define* (cross-libc/deprecated target
>=20=20
>  (define* (cross-libc* target
>                        #:key
> -                      (libc glibc)
> +                      (libc (libc-for-target target))
>                        (xgcc (cross-gcc target))
>                        (xbinutils (cross-binutils target))
>                        (xheaders (cross-kernel-headers target)))
> --=20
> 2.40.1
>

=2D-=20
Josselin Poiret

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQHEBAEBCgAuFiEEOSSM2EHGPMM23K8vUF5AuRYXGooFAmRrN70QHGRldkBqcG9p
cmV0Lnh5egAKCRBQXkC5FhcairVcDACMrwTvqtWqacF+ilDC/HzO7CQO1Zoohtal
3b7wsZ5dFBHuK2lERL7Plmo1PJPvzPSSxSO2v73KgXqdCqfdiZYAejB3DGnBbwAY
aq6JuccOve2TeihtdGbTi3jwM5KHKnOjKdVFccQ7tZMhA62AhUzCtV+R/uuArFbK
pQ0scFb1EMkELiyaQQye+cUxFoCPZRpT8fXBISpInohduDnIeZ+l2nd9gQexb8Cw
3/+d1vRJiWbzgrI+SW8OC8sDX6YVtB3uxEAK8QbnkapoV7KXoUF+E2J29RRvKReg
W+D4xOygyIaT8OOeIU8he87VZQ0fsmqqn604razoysIEOunosAu/BTzyqZ/7JehE
hRYWw0VMDrI9HRr9+ZrY1txkMnnSiQWu+7RrXHI91U1t08gQOZFz5mjsNbvySUz8
3IbVqq3KKewQUw3iJy/dxNKZMZwFqrJ4QLBLIJg/a2r1rlh3hYNXdK6XTqrQnOIe
uOt7k2T/D55vXTma0ok9M/74U4YTDxg=
=SuPU
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 22 May 2023 09:04:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 22 05:04:36 2023
Received: from localhost ([127.0.0.1]:33554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q11T1-00076J-RN
	for submit <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:36 -0400
Received: from jpoiret.xyz ([206.189.101.64]:39448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1q11Sv-00075O-Sf
 for 63641 <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:34 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id B2B39185310;
 Mon, 22 May 2023 09:04:28 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1684746268;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ZpshIGAUVRqKI2x1Bq0FwKrewa4fP6B931pUaNGpwfc=;
 b=T+564JN2viLP+V9TF4MGlaw4LwcuV21/FfaGNJu+swBapTTyRAJi7gvAUY9Q0RsBiKJ+DR
 QkIy+Jfl1cEUARHRwgk1rIggxo98STVBak8lREY1hHqoiFbzMLheImTw+R14Px4nL/Tzx3
 /ppQYJrrt6T9v6pUOai/t6rLBlCj85q15wHcfTXgalhx8ccqpIU+cb+b+iwCKfLjyG7Rb9
 qFfM1Lo9jMGdvHp6ZC3ni3PcbAo+XjEsgHlmHr6HOFHjxhDaYOIY6Qxe9JGXcl7Hl/GAh8
 3B96m4vEU54SyPYZQzSSbDBnEdeCX8QsxHTywRTy4F/Tm93qNN5YzPriQrksKA==
From: Josselin Poiret <dev@HIDDEN>
To: 63641 <at> debbugs.gnu.org
Subject: [PATCH 5/8] gnu: Add libc-for-target and glibc/hurd.
Date: Mon, 22 May 2023 11:04:15 +0200
Message-Id: <6159809904a724d5db977063feb0bb6c260063d1.1684745752.git.dev@HIDDEN>
In-Reply-To: <cover.1684745752.git.dev@HIDDEN>
References: <cover.1684745752.git.dev@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spamd-Bar: /
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63641
Cc: Josselin Poiret <dev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Josselin Poiret <dev@HIDDEN>

* gnu/packages/base.scm (glibc/hurd, libc-for-target): New variables.
(glibc/hurd-headers): Use glibc/hurd.
* gnu/packages/commencement.scm (glibc-final-with-bootstrap-bash,
glibc-final): Use libc-for-target.
* gnu/packages/cross-base.scm (cross-libc/deprecated, cross-libc*): Use
libc-for-target.
---
 gnu/packages/base.scm         | 38 ++++++++++++++++++--
 gnu/packages/commencement.scm | 66 +++++++++++++++++------------------
 gnu/packages/cross-base.scm   |  4 +--
 3 files changed, 70 insertions(+), 38 deletions(-)

diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
index f944ab5d47..59c9632551 100644
--- a/gnu/packages/base.scm
+++ b/gnu/packages/base.scm
@@ -75,6 +75,7 @@ (define-module (gnu packages base)
   #:use-module (srfi srfi-1)
   #:use-module (srfi srfi-26)
   #:export (glibc
+            libc-for-target
             make-ld-wrapper
             libiconv-if-needed))
 
@@ -1415,20 +1416,42 @@ (define-public which
 command.")
     (license gpl3+))) ; some files are under GPLv2+
 
+(define-public glibc/hurd
+  (package/inherit glibc
+    (name "glibc-hurd")
+    (version "2.37")
+    (source (origin
+            (method url-fetch)
+            (uri (string-append "mirror://gnu/glibc/glibc-" version ".tar.xz"))
+            (sha256
+             (base32
+              "0hqsp4dzrjx0iga6jv0magjw26dh82pxlmk8yis5v0d127qyymr2"))
+            (patches (search-patches "glibc-ldd-powerpc.patch"
+                                     "glibc-2.37-ldd-x86_64.patch"
+                                     "glibc-dl-cache.patch"
+                                     "glibc-2.37-versioned-locpath.patch"
+                                     "glibc-reinstate-prlimit64-fallback.patch"
+                                     "glibc-supported-locales.patch"
+                                     "glibc-2.37-hurd-clock_t_centiseconds.patch"
+                                     "glibc-2.37-hurd-local-clock_gettime_MONOTONIC.patch"
+                                     "glibc-hurd-mach-print.patch"
+                                     "glibc-hurd-gettyent.patch"))))
+    (supported-systems %hurd-systems)))
+
 (define-public glibc/hurd-headers
-  (package (inherit glibc)
+  (package/inherit glibc/hurd
     (name "glibc-hurd-headers")
     (outputs '("out"))
     (propagated-inputs (list gnumach-headers hurd-headers))
     (native-inputs
-     (modify-inputs (package-native-inputs glibc)
+     (modify-inputs (package-native-inputs glibc/hurd)
        (prepend (if (%current-target-system)
                    (let* ((cross-base (resolve-interface '(gnu packages cross-base)))
                           (cross-mig (module-ref cross-base 'cross-mig)))
                      (cross-mig (%current-target-system)))
                    mig))))
     (arguments
-     (substitute-keyword-arguments (package-arguments glibc)
+     (substitute-keyword-arguments (package-arguments glibc/hurd)
        ;; We just pass the flags really needed to build the headers.
        ((#:configure-flags flags)
         `(list "--enable-add-ons"
@@ -1449,6 +1472,15 @@ (define-public glibc/hurd-headers
            (delete 'build)))))                  ; nothing to build
     (supported-systems %hurd-systems)))
 
+(define* (libc-for-target #:optional
+                          (target (or (%current-target-system)
+                                      (%current-system))))
+  (match target
+    ((? target-hurd?)
+     glibc/hurd)
+    (_
+     glibc)))
+
 (define-public tzdata
   (package
     (name "tzdata")
diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index ab07fb37ab..a24c60ebf8 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -2816,13 +2816,13 @@ (define (%boot1-inputs)
     ("binutils-cross" ,binutils-boot0)
     ,@(alist-delete "binutils" (%boot0-inputs))))
 
-(define glibc-final-with-bootstrap-bash
+(define/system-dependent glibc-final-with-bootstrap-bash
   ;; The final libc, "cross-built".  If everything went well, the resulting
   ;; store path has no dependencies.  Actually, the really-final libc is
   ;; built just below; the only difference is that this one uses the
   ;; bootstrap Bash.
   (package
-    (inherit glibc)
+    (inherit (libc-for-target))
     (name "glibc-intermediate")
     (outputs (delete "debug" (package-outputs glibc)))
     (source (bootstrap-origin (package-source glibc)))
@@ -2991,39 +2991,39 @@ (define gettext-boot0
                         (("^PROGRAMS =.*$")
                          "PROGRAMS =\n")))))))))
 
-(define glibc-final
+(define/system-dependent glibc-final
   ;; The final glibc, which embeds the statically-linked Bash built above.
   ;; Use 'package/inherit' so we get the 'replacement' of 'glibc', if any.
-  (package/inherit
-   glibc
-   (name "glibc")
-   (source (bootstrap-origin (package-source glibc)))
-   (inputs `(("static-bash" ,static-bash-for-glibc)
-             ,@(alist-delete
-                "static-bash"
-                (package-inputs glibc-final-with-bootstrap-bash))))
-
-   ;; This time we need 'msgfmt' to install all the libc.mo files.
-   (native-inputs `(,@(package-native-inputs glibc-final-with-bootstrap-bash)
-                    ("gettext" ,gettext-boot0)))
-
-   (propagated-inputs
-    (package-propagated-inputs glibc-final-with-bootstrap-bash))
-
-   ;; The final libc only refers to itself, but the 'debug' output contains
-   ;; references to GCC-BOOT0 and to the Linux headers.  XXX: Would be great
-   ;; if 'allowed-references' were per-output.
-   (arguments
-    `(#:allowed-references
-      (,(gexp-input gcc-boot0 "lib")
-       ,(kernel-headers-boot0)
-       ,static-bash-for-glibc
-       ,@(if (hurd-system?)
-             `(,gnumach-headers-boot0
-               ,hurd-headers-boot0)
-             '())
-       ,@(package-outputs glibc-final-with-bootstrap-bash))
-      ,@(package-arguments glibc-final-with-bootstrap-bash)))))
+  (let ((libc (libc-for-target)))
+    (package/inherit libc
+      (name "glibc")
+      (source (bootstrap-origin (package-source glibc)))
+      (inputs `(("static-bash" ,static-bash-for-glibc)
+                ,@(alist-delete
+                   "static-bash"
+                   (package-inputs glibc-final-with-bootstrap-bash))))
+
+      ;; This time we need 'msgfmt' to install all the libc.mo files.
+      (native-inputs `(,@(package-native-inputs glibc-final-with-bootstrap-bash)
+                       ("gettext" ,gettext-boot0)))
+
+      (propagated-inputs
+       (package-propagated-inputs glibc-final-with-bootstrap-bash))
+
+      ;; The final libc only refers to itself, but the 'debug' output contains
+      ;; references to GCC-BOOT0 and to the Linux headers.  XXX: Would be great
+      ;; if 'allowed-references' were per-output.
+      (arguments
+       `(#:allowed-references
+         (,(gexp-input gcc-boot0 "lib")
+          ,(kernel-headers-boot0)
+          ,static-bash-for-glibc
+          ,@(if (hurd-system?)
+                `(,gnumach-headers-boot0
+                  ,hurd-headers-boot0)
+                '())
+          ,@(package-outputs glibc-final-with-bootstrap-bash))
+         ,@(package-arguments glibc-final-with-bootstrap-bash))))))
 
 (define/system-dependent gcc-boot0-wrapped
   ;; Make the cross-tools GCC-BOOT0 and BINUTILS-BOOT0 available under the
diff --git a/gnu/packages/cross-base.scm b/gnu/packages/cross-base.scm
index 01c2295853..b2823c73c5 100644
--- a/gnu/packages/cross-base.scm
+++ b/gnu/packages/cross-base.scm
@@ -577,7 +577,7 @@ (define* (cross-libc . args)
 
 (define* (cross-libc/deprecated target
                                 #:optional
-                                (libc glibc)
+                                (libc (libc-for-target target))
                                 (xgcc (cross-gcc target))
                                 (xbinutils (cross-binutils target))
                                 (xheaders (cross-kernel-headers target)))
@@ -590,7 +590,7 @@ (define* (cross-libc/deprecated target
 
 (define* (cross-libc* target
                       #:key
-                      (libc glibc)
+                      (libc (libc-for-target target))
                       (xgcc (cross-gcc target))
                       (xbinutils (cross-binutils target))
                       (xheaders (cross-kernel-headers target)))
-- 
2.40.1





Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 22 May 2023 09:04:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 22 05:04:35 2023
Received: from localhost ([127.0.0.1]:33552 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q11T1-00076C-Ga
	for submit <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:35 -0400
Received: from jpoiret.xyz ([206.189.101.64]:39660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1q11Sy-00075i-OX
 for 63641 <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:33 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id 17B411853FC;
 Mon, 22 May 2023 09:04:32 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1684746272;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=0Txlh8Qp8Kc+U5cyfDQdGL4+fdpbtyncL0HN2G0soIU=;
 b=hRKqjyklieiVl6UPWISWHn0gh0RE1P+f9wrJ1LlFx9tDK1q3jt5Y6AlY5EIAAe+UhFW5tN
 OuPnDdaSb9sIovxev3LDs4u4iDyo3IPZH1LhqMliUYPYkH3KK17g7EIevXJOuttFDXsH1+
 hXTsQ6BK2qVoPj4on7wm7KRXeKAn2IUCx4UKRgD2+tQd01RXQd+mXHsbrKa/gaizG0eIZB
 DYOwjwSHWjyrsa38cYy4RFD50MctMP3csb4BJ9SCwoh2zNFYufvrJ+mhC9SkAAvZSuqr9D
 np6O0986H9a9IaFEOxNARvKyxBNJr0PV2BUu3oC+gD92ibuh1mEJtE6nsv8VOA==
From: Josselin Poiret <dev@HIDDEN>
To: 63641 <at> debbugs.gnu.org
Subject: [PATCH 8/8] gnu: hurd: Update to v0.9.git20230216.
Date: Mon, 22 May 2023 11:04:18 +0200
Message-Id: <fcb36b13b0b5be42c07d477871ff604c1dc5178e.1684745752.git.dev@HIDDEN>
In-Reply-To: <cover.1684745752.git.dev@HIDDEN>
References: <cover.1684745752.git.dev@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spamd-Bar: /
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63641
Cc: Josselin Poiret <dev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Josselin Poiret <dev@HIDDEN>

* gnu/packages/hurd.scm (hurd-headers): Update to v0.9.git20230216.
---
 gnu/packages/hurd.scm | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/hurd.scm b/gnu/packages/hurd.scm
index 61d8774075..a0133482b7 100644
--- a/gnu/packages/hurd.scm
+++ b/gnu/packages/hurd.scm
@@ -144,10 +144,10 @@ (define-public hurd-headers
   ;; This commit is now slightly behind 0.9.git20220818 as this one needs a
   ;; newer glibc
   (let ((revision "2")
-        (commit "3ff70531ee672f431dbb0c11f286bfe85dce98fc"))
+        (commit "v0.9.git20230216"))
     (package
       (name "hurd-headers")
-      (version (git-version "0.9" revision commit))
+      (version commit)
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -155,11 +155,8 @@ (define-public hurd-headers
                       (commit commit)))
                 (sha256
                  (base32
-                  "1jb9f2h2v4lf6acsji1c12aqg3pixkvjdyb4q6axkd8jp22fdgc0"))
-                (file-name (git-file-name name version))
-                (patches (search-patches "hurd-add-without-rump-configure-option.patch"
-                                         "hurd-fix-types-of-read-write-and-readables-methods.patch"
-                                         "hurd-fix-types-of-read-write-and-readables-methods-2.patch"))))
+                  "0jm1dnqkx4kdwmby0z5w0yqp9m5qp4hbxd4jxlyhiqm8nkw9mkvv"))
+                (file-name (git-file-name name version))))
       (build-system gnu-build-system)
       (native-inputs
        (list autoconf
@@ -196,7 +193,8 @@ (define-public hurd-headers
                              "ac_cv_func_exec_exec_paths=no"
                              "ac_cv_func__hurd_exec_paths=no"
                              "ac_cv_func__hurd_libc_proc_init=no"
-                             "ac_cv_func_file_futimens=no")
+                             "ac_cv_func_file_futimens=no"
+                             "ac_cv_lib_acpica_acpi_init=no")
 
          #:tests? #f))
       (supported-systems %hurd-systems)
-- 
2.40.1





Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 22 May 2023 09:04:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 22 05:04:35 2023
Received: from localhost ([127.0.0.1]:33550 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q11T1-000764-1L
	for submit <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:35 -0400
Received: from jpoiret.xyz ([206.189.101.64]:39588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1q11Sx-00075Z-Rz
 for 63641 <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:32 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id E82EF18540C;
 Mon, 22 May 2023 09:04:30 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1684746271;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=BJDE+n9PCg00TVHiPJ90LijYwekoZauCWgpw6EM4j9A=;
 b=jVyJXFiX7iZBxKAobhRxsTdot4a3a6dBN07g6OJdLhSNYLvqlcW4MRfBXJHQLt2J2POeOt
 N8/CaCq6Z/jZJ0uxqPsxSQ8pnFAvMpNI57vZpTZb5MI6lX+/6gJnoglLAbqYOfw7wf0ZeK
 5sI0VQ73gC/tSeOuOzuH2k++3Now8KUoZapATuc7o+yTtBoEKBqv96BqOVEoI3QYkfystl
 /w4mbDmzSTMB44523O96wtXAEVy7zhNDRxCIPqM7ZZn3T29vGADOC8lWmcMzFX+J5ddU/U
 19Mge9t5cppqjSJyUFkpJZ0hJhXvqAIlvVCzxtRnbKlQHUBMkaA9x9gU7XRzVQ==
From: Josselin Poiret <dev@HIDDEN>
To: 63641 <at> debbugs.gnu.org
Subject: [PATCH 7/8] gnu: mig: Update to
 04bfe7a91223ba15d868f7165e49328b1c6e86c3.
Date: Mon, 22 May 2023 11:04:17 +0200
Message-Id: <84209beabc07d273034f85ce97841519188daa1c.1684745752.git.dev@HIDDEN>
In-Reply-To: <cover.1684745752.git.dev@HIDDEN>
References: <cover.1684745752.git.dev@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spamd-Bar: /
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63641
Cc: Josselin Poiret <dev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Josselin Poiret <dev@HIDDEN>

* gnu/packages/hurd.scm (mig): Update to
04bfe7a91223ba15d868f7165e49328b1c6e86c3.
---
 gnu/packages/hurd.scm | 74 +++++++++++++++++++++----------------------
 1 file changed, 36 insertions(+), 38 deletions(-)

diff --git a/gnu/packages/hurd.scm b/gnu/packages/hurd.scm
index d44962ae55..61d8774075 100644
--- a/gnu/packages/hurd.scm
+++ b/gnu/packages/hurd.scm
@@ -98,49 +98,47 @@ (define-public gnumach-headers
     (license gpl2+)))
 
 (define-public mig
-  (package
-    (name "mig")
-    (version "1.8+git20220827")
-    (source (origin
-              (method url-fetch)
-              ;; XXX: Version 2.35 of glibc can only be built with an
-              ;; unreleased version of MiG:
-              ;; <https://lists.gnu.org/archive/html/bug-hurd/2023-03/msg00025.html>.
-              ;; It cannot be fetched from Git though, as the extra dependency
-              ;; on Autoconf/Automake would complicate bootstrapping.
-              (uri (string-append "mirror://gnu/guix/mirror/mig-"
-                                  version ".tar.gz"))
-              (sha256
-               (base32
-                "163d37s9lscd6zxyfng421m9nl857464mgjj90xsrcl5ykbng5p2"))
-              (patches (search-patches "mig-cpu.h-generation.patch"))))
-    (build-system gnu-build-system)
-    ;; Flex is needed both at build and run time.
-    (inputs (list gnumach-headers flex))
-    (native-inputs (list flex bison))
-    (arguments
-     (list #:tests? #f
-           #:phases
-           #~(modify-phases %standard-phases
-               (add-after 'install 'avoid-perl-dependency
-                 (lambda* (#:key build inputs outputs #:allow-other-keys)
-                   (let* ((out (assoc-ref outputs "out"))
-                          (bin (string-append out "/bin")))
-                     ;; By default 'mig' (or 'TARGET-mig') uses Perl to
-                     ;; compute 'libexecdir_rel'.  Avoid it.
-                     (substitute* (find-files bin "mig$")
-                       (("^libexecdir_rel=.*")
-                        "libexecdir_rel=../libexec\n"))))))))
-    (home-page "https://www.gnu.org/software/hurd/microkernel/mach/mig/gnu_mig.html")
-    (synopsis "Mach 3.0 interface generator for the Hurd")
-    (description
-     "GNU MIG is the GNU distribution of the Mach 3.0 interface generator
+  (let ((revision "1")
+        (commit "04bfe7a91223ba15d868f7165e49328b1c6e86c3"))
+    (package
+      (name "mig")
+      (version (git-version "1.8" revision commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://git.savannah.gnu.org/git/hurd/mig.git")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "0zw2w3hnz76f9602znshciqabylmvavx0h04y01qjlmhd9wh8iw5"))))
+      (build-system gnu-build-system)
+      ;; Flex is needed both at build and run time.
+      (inputs (list gnumach-headers flex))
+      (native-inputs (list autoconf automake flex bison))
+      (arguments
+       (list #:tests? #f
+             #:phases
+             #~(modify-phases %standard-phases
+                 (add-after 'install 'avoid-perl-dependency
+                   (lambda* (#:key build inputs outputs #:allow-other-keys)
+                     (let* ((out (assoc-ref outputs "out"))
+                            (bin (string-append out "/bin")))
+                       ;; By default 'mig' (or 'TARGET-mig') uses Perl to
+                       ;; compute 'libexecdir_rel'.  Avoid it.
+                       (substitute* (find-files bin "mig$")
+                         (("^libexecdir_rel=.*")
+                          "libexecdir_rel=../libexec\n"))))))))
+      (home-page "https://www.gnu.org/software/hurd/microkernel/mach/mig/gnu_mig.html")
+      (synopsis "Mach 3.0 interface generator for the Hurd")
+      (description
+       "GNU MIG is the GNU distribution of the Mach 3.0 interface generator
 MIG, as maintained by the GNU Hurd developers for the GNU project.
 You need this tool to compile the GNU Mach and GNU Hurd distributions,
 and to compile the GNU C library for the Hurd.  Also, you will need it
 for other software in the GNU system that uses Mach-based inter-process
 communication.")
-    (license gpl2+)))
+      (license gpl2+))))
 
 (define-public hurd-headers
   ;; This commit is now slightly behind 0.9.git20220818 as this one needs a
-- 
2.40.1





Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 22 May 2023 09:04:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 22 05:04:35 2023
Received: from localhost ([127.0.0.1]:33548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q11T0-000762-Ob
	for submit <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:34 -0400
Received: from jpoiret.xyz ([206.189.101.64]:39516)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1q11Sw-00075P-OO
 for 63641 <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:31 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id 1DAED1853FC;
 Mon, 22 May 2023 09:04:30 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1684746270;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=mSYPSEOkivIzZxigct5PidTacJf1Mp/wiZoDlzUL0gA=;
 b=u8H1Ula3J5OJjS62VhVfmUKVryrp1E72+LBlAeJUfNcORWSXYw/mZ4+9YYujAstkiKRFJk
 nbjtfobCy2ZhyBTw5gU5JS/SMn9IaDbl46h1V7KGFBMxNwyCMrXwtmSiP2D9/cePzj5uN0
 61Urjzrcy9lE5M8eU9CteR+6dtiRGvYxj4GeIBnkcJMgUsKN5lmbNwglNZHev/wk3iNr6I
 2qaSCN00pWoNshLpe/sL+7YV4uTxQbUYSIVMHrpqQtidQ2/0a7SOS7Zz8Z5OPiKUL/Sl72
 48NHBX1VhjxFhJpMCNStP7MMS8XITiPo5a+vQvgCRJYnenf3pXa7l65a3cbz4A==
From: Josselin Poiret <dev@HIDDEN>
To: 63641 <at> debbugs.gnu.org
Subject: [PATCH 6/8] gnu: gnumach: Update to 1.8+git20221224.
Date: Mon, 22 May 2023 11:04:16 +0200
Message-Id: <be3e74c59461e6f71a5d41c36190c696181b23af.1684745752.git.dev@HIDDEN>
In-Reply-To: <cover.1684745752.git.dev@HIDDEN>
References: <cover.1684745752.git.dev@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spamd-Bar: /
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63641
Cc: Josselin Poiret <dev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Josselin Poiret <dev@HIDDEN>

* gnu/packages/hurd.scm (gnumach-headers): Update to 1.8+git20221224.
---
 gnu/packages/hurd.scm | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/hurd.scm b/gnu/packages/hurd.scm
index 314e2b5a3c..d44962ae55 100644
--- a/gnu/packages/hurd.scm
+++ b/gnu/packages/hurd.scm
@@ -68,7 +68,7 @@ (define (hurd-source-url version)
 (define-public gnumach-headers
   (package
     (name "gnumach-headers")
-    (version "1.8+git20220827") ;; This is an upstream tag
+    (version "1.8+git20221224") ;; This is an upstream tag
     (source
      (origin
        (method git-fetch)
@@ -78,8 +78,7 @@ (define-public gnumach-headers
        (file-name (git-file-name "gnumach" version))
        (sha256
         (base32
-         "07qlaf8vw029y7xdnhjyiiyn788zjzwmyzj79inz7idpswqsnyhf"))
-       (patches (search-patches "gnumach-add-missing-const_mach_port_name_array_t-type.patch"))))
+         "0f49zqxf64ds75rmskizpybl2mw7sxs05k59gjp3pgspvr87w7gs"))))
     (build-system gnu-build-system)
     (arguments
      `(#:phases
-- 
2.40.1





Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 22 May 2023 09:04:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 22 05:04:32 2023
Received: from localhost ([127.0.0.1]:33544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q11Sy-00075b-03
	for submit <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:32 -0400
Received: from jpoiret.xyz ([206.189.101.64]:39380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1q11Su-00075G-Fc
 for 63641 <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:28 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id D60591853FC;
 Mon, 22 May 2023 09:04:22 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1684746263;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=HQcQeI6yXAGojPPY7KKAi2tupen5rBGwvkCdlTaxfnk=;
 b=D28GYT9PTX4NO7+dRifEknTtvJnGjy8J+IiuwJ2rSYLKkjVKJ7jdKdSWp6S3bzUBaRMysF
 d1llSOs2hlvJFggDPAlwSwj5qUYPqAjFhSWZkwn0I5oEgwI62dzLDghNTxEw/BdCvZrWgr
 bDhe7aSZ3y4fIJDaObNDY5butzeKLhW92xC2xMOiflQuNlIclbZiwYNXLF3XFkGWMDMRaT
 HXvdBikZZZ4yv9+515mUyppI1lTkV825/nCTHJy02bwDfoQoD3YwGIBukfgjWAEtAUxKZR
 ZPFvfuEONg3iqfGHDBMBPNpBKh6Ghuxr/Qm6scp5j/W/kMAdAWaGSG0BwHUqTQ==
From: Josselin Poiret <dev@HIDDEN>
To: 63641 <at> debbugs.gnu.org
Subject: [PATCH 4/8] gnu: hurd: Update supported systems.
Date: Mon, 22 May 2023 11:04:14 +0200
Message-Id: <8387fe7ff108e8d9593666a9b0c921c3854112bb.1684745752.git.dev@HIDDEN>
In-Reply-To: <cover.1684745752.git.dev@HIDDEN>
References: <cover.1684745752.git.dev@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spamd-Bar: /
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63641
Cc: Josselin Poiret <dev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Josselin Poiret <dev@HIDDEN>

* gnu/packages/hurd.scm (gnumach-headers, hurd-headers, hurd-minimal,
hurd-core-headers, gnumach): Update supported systems to %hurd-systems.
---
 gnu/packages/hurd.scm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/hurd.scm b/gnu/packages/hurd.scm
index a6f0f76009..314e2b5a3c 100644
--- a/gnu/packages/hurd.scm
+++ b/gnu/packages/hurd.scm
@@ -91,6 +91,7 @@ (define-public gnumach-headers
        #:tests? #f))
     (native-inputs
      (list autoconf automake texinfo-4))
+    (supported-systems %hurd-systems)
     (home-page "https://www.gnu.org/software/hurd/microkernel/mach/gnumach.html")
     (synopsis "GNU Mach kernel headers")
     (description
@@ -201,6 +202,7 @@ (define-public hurd-headers
                              "ac_cv_func_file_futimens=no")
 
          #:tests? #f))
+      (supported-systems %hurd-systems)
       (home-page "https://www.gnu.org/software/hurd/hurd.html")
       (synopsis "GNU Hurd headers")
       (description
@@ -236,6 +238,7 @@ (define-public hurd-minimal
 
                ;; Build libihash.
                (invoke "make" "-Clibihash" "libihash.a")))))))
+    (supported-systems %hurd-systems)
     (home-page "https://www.gnu.org/software/hurd/hurd.html")
     (synopsis "GNU Hurd libraries")
     (description
@@ -268,6 +271,7 @@ (define-public hurd-core-headers
                                      directories)
                         #t))))))
     (inputs (list gnumach-headers hurd-headers hurd-minimal))
+    (supported-systems %hurd-systems)
     (synopsis "Union of the Hurd headers and libraries")
     (description
      "This package contains the union of the Mach and Hurd headers and the
@@ -303,7 +307,7 @@ (define-public gnumach
                    mig)
            perl
            texinfo-4))
-    (supported-systems (cons "i686-linux" %hurd-systems))
+    (supported-systems %hurd-systems)
     (synopsis "Microkernel of the GNU system")
     (description
      "GNU Mach is the microkernel upon which a GNU Hurd system is based.")))
-- 
2.40.1





Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 22 May 2023 09:04:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 22 05:04:28 2023
Received: from localhost ([127.0.0.1]:33534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q11St-000759-JV
	for submit <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:27 -0400
Received: from jpoiret.xyz ([206.189.101.64]:39302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1q11So-00074n-DH
 for 63641 <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:22 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id 600E6185328;
 Mon, 22 May 2023 09:04:21 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1684746261;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=UqN3hY9UA0R53I8m6cJCaGO8jDOo2mBea+3Tbx4HL/8=;
 b=oubY/veU4GjB8pQ1n11lktPun4ULSV24JKTDsVEKNF/du9ccrzDLx6GtM7/RZBGZvZPJRN
 nrzxI3ckFwBAU9iSFr4tZTJeHGuhTsxjzq2GKW9OqYL9nQORaW/2nov0eV3Yso4JbYpirI
 U7/o1DacxTTYRwQmk3y83J9v3sQFTLes40WJbeWC4EITiCpvHfNDHJDpAhppeUvzhPi1XQ
 V2NLABiqLCVcgkB/k74GwXWFChpttJXk4F7WTHzTsX6jzq7t1QBeluIP/j3pTUgTmEADKE
 jojI/s7/comXjWTPuyMzTuXhewxExwmvu1Dk/hzUcO/Jv55g31MxdiGU2KaETA==
From: Josselin Poiret <dev@HIDDEN>
To: 63641 <at> debbugs.gnu.org
Subject: [PATCH 3/8] gnu: gnumach-headers: Cross-build without relying on x86.
Date: Mon, 22 May 2023 11:04:13 +0200
Message-Id: <9ce52afdf9e69355ba0011bbaba3bbeefab3fb11.1684745752.git.dev@HIDDEN>
In-Reply-To: <cover.1684745752.git.dev@HIDDEN>
References: <cover.1684745752.git.dev@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spamd-Bar: /
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63641
Cc: Josselin Poiret <dev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Josselin Poiret <dev@HIDDEN>

* gnu/packages/hurd.scm (gnumach-headers): Remove configure flags where we
say the builder is running x86.
* gnu/packages/cross-base.scm (cross-gnumach-headers): Work around limitation
of build system, by manually changing the target host_cpu without relying on
--host, because we don't have a working cross-compiler yet.
---
 gnu/packages/cross-base.scm | 18 ++++++++++++++++++
 gnu/packages/hurd.scm       | 10 ----------
 2 files changed, 18 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/cross-base.scm b/gnu/packages/cross-base.scm
index 50e86083c3..01c2295853 100644
--- a/gnu/packages/cross-base.scm
+++ b/gnu/packages/cross-base.scm
@@ -374,6 +374,24 @@ (define* (cross-gnumach-headers target
     (inherit gnumach-headers)
     (name (string-append (package-name gnumach-headers)
                          "-cross-" target))
+    (arguments
+     (substitute-keyword-arguments (package-arguments gnumach-headers)
+       ((#:phases phases #~%standard-phases)
+        #~(modify-phases #$phases
+            ;; Cheat by setting the host_cpu variable manually, since using
+            ;; --host= would require a working cross-compiler, which we don't
+            ;; have yet.
+            (add-after 'unpack 'substitute-host-cpu
+              (lambda _
+                (substitute* "configure.ac"
+                  (("AC_CANONICAL_HOST")
+                   #$(string-append
+                      "host_cpu="
+                      (match target
+                        ((? target-x86-32?)
+                         "i386")
+                        ((? target-x86-64?)
+                         "x86_64")))))))))))
     (native-inputs
      (modify-inputs (package-native-inputs gnumach-headers)
        (prepend xgcc xbinutils)))))
diff --git a/gnu/packages/hurd.scm b/gnu/packages/hurd.scm
index 34c7c00f2d..a6f0f76009 100644
--- a/gnu/packages/hurd.scm
+++ b/gnu/packages/hurd.scm
@@ -88,16 +88,6 @@ (define-public gnumach-headers
            (lambda _
              (invoke "make" "install-data")))
          (delete 'build))
-
-       ;; GNU Mach supports only IA32 currently, so cheat so that we can at
-       ;; least install its headers.
-       ,@(if (%current-target-system)
-             '()
-             ;; See <http://lists.gnu.org/archive/html/bug-hurd/2015-06/msg00042.html>
-             ;; <http://lists.gnu.org/archive/html/guix-devel/2015-06/msg00716.html>
-             '(#:configure-flags '("--build=i586-pc-gnu"
-                                   "--host=i686-linux-gnu")))
-
        #:tests? #f))
     (native-inputs
      (list autoconf automake texinfo-4))
-- 
2.40.1





Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 22 May 2023 09:04:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 22 05:04:22 2023
Received: from localhost ([127.0.0.1]:33530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q11So-00074m-5J
	for submit <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:22 -0400
Received: from jpoiret.xyz ([206.189.101.64]:39234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1q11Sn-00074W-5z
 for 63641 <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:21 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id 7018B1853FC;
 Mon, 22 May 2023 09:04:20 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1684746260;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ISGCMo6d8OSC+hxZvwNU2qJPL5J+Bw+0BrhGPc6aQAA=;
 b=P/gzX2AHJkSYx0HG9YXCmRKvHwarIZFbEChKi+aAHPKYaTUtDlHw8tBOGIYW4Wh2N3TiPC
 STxXDZmWykN5HQZjM5gn1xd4gMIZLkGot/9vACou6L8m3ETJF7FRUukKL9yV2Gq5tuQyOL
 ybX6lbIDL5fjspCggZL1SAk/Xm+LV4K+k9rUPtxohYzmV9ktnTahOyTz3npiu2KGaqLrmO
 spNMs9lUmeeOdsJJXlmMsLsnOJs7Bh4DrBfW4L1wiJ3PWvxz/EYDzh7rZ7VcCmC7RQXtSZ
 /CtmwgMt4xAKs/0+ldlyw+owqGwPYKceoYaJckHquTYadBKB5t4wunJChf65/A==
From: Josselin Poiret <dev@HIDDEN>
To: 63641 <at> debbugs.gnu.org
Subject: [PATCH 2/8] gnu: glibc/hurd-headers: Properly cross-build.
Date: Mon, 22 May 2023 11:04:12 +0200
Message-Id: <873b5a865c24b22b98332cc6f26e2ebef31ae68b.1684745752.git.dev@HIDDEN>
In-Reply-To: <cover.1684745752.git.dev@HIDDEN>
References: <cover.1684745752.git.dev@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spamd-Bar: /
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63641
Cc: Josselin Poiret <dev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Josselin Poiret <dev@HIDDEN>

* gnu/packages/base.scm (glibc/hurd-headers): Rely on cross-mig, and remove
hardcoded configure flag `--host=i586-pc-gnu`.
* gnu/packages/cross-base.scm (cross-kernel-headers*): Add `--host` and
`--build` configure flags.
---
 gnu/packages/base.scm       | 13 ++++++-------
 gnu/packages/cross-base.scm |  6 +++++-
 2 files changed, 11 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
index d2f276c447..f944ab5d47 100644
--- a/gnu/packages/base.scm
+++ b/gnu/packages/base.scm
@@ -1423,17 +1423,15 @@ (define-public glibc/hurd-headers
     (native-inputs
      (modify-inputs (package-native-inputs glibc)
        (prepend (if (%current-target-system)
-                    ;; XXX: When targeting i586-pc-gnu, we need a 32-bit MiG,
-                    ;; hence this hack.
-                    (package (inherit mig)
-                             (arguments `(#:system "i686-linux")))
-                    mig))))
+                   (let* ((cross-base (resolve-interface '(gnu packages cross-base)))
+                          (cross-mig (module-ref cross-base 'cross-mig)))
+                     (cross-mig (%current-target-system)))
+                   mig))))
     (arguments
      (substitute-keyword-arguments (package-arguments glibc)
        ;; We just pass the flags really needed to build the headers.
        ((#:configure-flags flags)
         `(list "--enable-add-ons"
-               "--host=i586-pc-gnu"
                ,@%glibc/hurd-configure-flags))
        ((#:phases _)
         '(modify-phases %standard-phases
@@ -1448,7 +1446,8 @@ (define-public glibc/hurd-headers
                  (close-port
                   (open-output-file
                    (string-append out "/include/gnu/stubs.h"))))))
-           (delete 'build)))))))                  ; nothing to build
+           (delete 'build)))))                  ; nothing to build
+    (supported-systems %hurd-systems)))
 
 (define-public tzdata
   (package
diff --git a/gnu/packages/cross-base.scm b/gnu/packages/cross-base.scm
index 8d0b41180b..50e86083c3 100644
--- a/gnu/packages/cross-base.scm
+++ b/gnu/packages/cross-base.scm
@@ -492,7 +492,11 @@ (define* (cross-kernel-headers* target
                                               hurd "/include")))
                    (for-each (cut setenv <> cpath)
                              ',%gcc-cross-include-paths)
-                   #t)))))))
+                   #t)))))
+         ((#:configure-flags flags)
+          `(cons* ,(string-append "--build=" (%current-system))
+                  ,(string-append "--host=" target)
+                  ,flags))))
 
       (propagated-inputs `(("gnumach-headers" ,xgnumach-headers)
                            ("hurd-headers" ,xhurd-headers)))
-- 
2.40.1





Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at 63641 <at> debbugs.gnu.org:


Received: (at 63641) by debbugs.gnu.org; 22 May 2023 09:04:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 22 05:04:22 2023
Received: from localhost ([127.0.0.1]:33528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q11Sn-00074k-Qo
	for submit <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:22 -0400
Received: from jpoiret.xyz ([206.189.101.64]:39166)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1q11Sm-00074T-Gv
 for 63641 <at> debbugs.gnu.org; Mon, 22 May 2023 05:04:21 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id 3E0D9185328;
 Mon, 22 May 2023 09:04:19 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1684746259;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=QhqdQxZCKm8jU7GbDDeK1iDzm18DQAhaNgsGJw5V8/c=;
 b=mwmZ0cGtyTceI7MI9a1Y5iJ/z0IHYR9TOqRtgqJL7Fe3Vx/Ig7a6mIBZrw8vPnczBysxsn
 S4Zr17rgy0qMQcFQ7F28pVweng1dXE2K4FEkUFENBw5TUE4S25LvVcCkhZOaLlEA0rRpsh
 RJCwGSGAtq67tpPCZEIHd81fEQvqchI1/DVCPaCHFTRsb1oV+i9uqUUSBlEmbup9LhL7EQ
 CeTQ7spP7+WSUA1rzpiYi7l0nFMGeskN0eGtAHRbYghvI5aW6Lr3VZKHrGIy1tRT5TVc1o
 c3D1oJWBAoRnfQSA/vg5grkd1WSDc4RBna5Uj9bk0al3vFSD7OhXBN5Djre+9w==
From: Josselin Poiret <dev@HIDDEN>
To: 63641 <at> debbugs.gnu.org
Subject: [PATCH 1/8] hurd-boot: Add urandom and default-pager translators.
Date: Mon, 22 May 2023 11:04:11 +0200
Message-Id: <b3a157c648efc539edfb0c8c16e5166dec583620.1684745752.git.dev@HIDDEN>
In-Reply-To: <cover.1684745752.git.dev@HIDDEN>
References: <cover.1684745752.git.dev@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spamd-Bar: /
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 63641
Cc: Josselin Poiret <dev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Josselin Poiret <dev@HIDDEN>

* gnu/build/hurd-boot.scm (set-hurd-device-translators): Set up urandom and
default-pager on boot.
---
 gnu/build/hurd-boot.scm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/gnu/build/hurd-boot.scm b/gnu/build/hurd-boot.scm
index 95c15907dd..14bfc5e809 100644
--- a/gnu/build/hurd-boot.scm
+++ b/gnu/build/hurd-boot.scm
@@ -188,6 +188,7 @@ (define* (set-hurd-device-translators #:optional (root "/"))
       ("servers/crash-suspend"   ("/hurd/crash" "--suspend"))
       ("servers/password"        ("/hurd/password"))
       ("servers/socket/1"        ("/hurd/pflocal"))
+      ("servers/default-pager"   ("/hurd/proxy-defpager"))
       ;; /servers/socket/2 and /26 are created by 'static-networking-service'.
       ;; XXX: Spawn pfinet without arguments on these nodes so that a DHCP
       ;; client has someone to talk to?
@@ -198,6 +199,8 @@ (define* (set-hurd-device-translators #:optional (root "/"))
       ("dev/null"    ("/hurd/null")                         #o666)
       ("dev/random"  ("/hurd/random"   "--seed-file" "/var/lib/random-seed")
                                                             #o644)
+      ("dev/urandom" ("/hurd/random"   "--seed-file" "/var/lib/random-seed"
+                      "--fast")                             #o644)
       ("dev/zero"    ("/hurd/storeio"  "--store-type=zero") #o666)
 
       ("dev/console" ("/hurd/term"     "/dev/console" "device" "console"))
-- 
2.40.1





Information forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 May 2023 09:00:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 22 05:00:49 2023
Received: from localhost ([127.0.0.1]:33520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1q11PI-0006yJ-QY
	for submit <at> debbugs.gnu.org; Mon, 22 May 2023 05:00:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:56496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1q11PH-0006xx-83
 for submit <at> debbugs.gnu.org; Mon, 22 May 2023 05:00:43 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dev@HIDDEN>) id 1q11Ox-0000TE-HM
 for guix-patches@HIDDEN; Mon, 22 May 2023 05:00:26 -0400
Received: from jpoiret.xyz ([206.189.101.64])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dev@HIDDEN>) id 1q11Ov-0003Et-UT
 for guix-patches@HIDDEN; Mon, 22 May 2023 05:00:23 -0400
Received: from authenticated-user (jpoiret.xyz [206.189.101.64])
 by jpoiret.xyz (Postfix) with ESMTPA id 62ACF184F2A;
 Mon, 22 May 2023 09:00:15 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz; s=dkim;
 t=1684746016;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=sEP39xuE6HA8cfcvv8IbJZEPG/dA5I95s/XDW72xXFk=;
 b=Fl5XlL1y5pTb6Dl9ItferS+z/lvbnrj+V44yQMm2dlxYAUQ5CpfZ07gIv9b7X6tdf7b3nA
 449YGJ6sE3MIlBKaBftbES2fBCfedByjMk7GMYHKDJr19AN3HlJuLzYf3eEuCVkMmcbVIT
 fNXTi6yCxevNIdLE6QLMfi5LkVOcfGrUb8h2bHkvIR1FyArjMapZkrR4EpwuQcsCq1Zkxi
 yzFhIEoxjxHoad3rEv5aViAGFmqzw7/hc0BS0ahLXasNiUwrqoPmffvRDq3wAg1lK8x8lB
 yEteuwoP2u3EK9oDeUwka+4Jp4ZdfWar1IZn75hOeN+hpn3Gli/nzLEgoFNCyA==
From: Josselin Poiret <dev@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/8] Add libc specific to Hurd and update components
Date: Mon, 22 May 2023 11:00:14 +0200
Message-Id: <cover.1684745752.git.dev@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spamd-Bar: ++++
Authentication-Results: jpoiret.xyz;
 auth=pass smtp.auth=jpoiret@HIDDEN smtp.mailfrom=dev@HIDDEN
X-Spam-Level: ****
Received-SPF: pass client-ip=206.189.101.64; envelope-from=dev@HIDDEN;
 helo=jpoiret.xyz
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
Cc: Josselin Poiret <dev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi everyone,

Since Janneke is working on the rumpkernel and needed some additional patches to
our libc, I thought that we could bring back the libc specific to the Hurd, also
because the newer versions of Hurd only work with glibc 2.37.  This will let us
experiment with newer Hurds without impacting the rest of Guix.  There are also a couple of additions and clean-ups.

I'm still trying to fix native compilation, but it's not going as fast as I would like.

Best,

Josselin Poiret (8):
  hurd-boot: Add urandom and default-pager translators.
  gnu: glibc/hurd-headers: Properly cross-build.
  gnu: gnumach-headers: Cross-build without relying on x86.
  gnu: hurd: Update supported systems.
  gnu: Add libc-for-target and glibc/hurd.
  gnu: gnumach: Update to 1.8+git20221224.
  gnu: mig: Update to 04bfe7a91223ba15d868f7165e49328b1c6e86c3.
  gnu: hurd: Update to v0.9.git20230216.

 gnu/build/hurd-boot.scm       |   3 +
 gnu/packages/base.scm         |  51 ++++++++++++----
 gnu/packages/commencement.scm |  66 ++++++++++----------
 gnu/packages/cross-base.scm   |  28 ++++++++-
 gnu/packages/hurd.scm         | 109 +++++++++++++++-------------------
 5 files changed, 151 insertions(+), 106 deletions(-)


base-commit: 849286ba66c96534bddc04df1a47d5692cbc977e
-- 
2.40.1





Acknowledgement sent to Josselin Poiret <dev@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#63641; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 26 May 2023 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.